<?php

namespace App\Http\Controllers\Admin;

use App\Models\AmountType;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class AmountTypesController extends MasterController
{
    public function __construct(AmountType $model)
    {
        $this->model = $model;
        $this->route = 'amount_types';
        $this->module_name = 'أنواع واحدات الإدخال';
        $this->language = [' بالعربية' => 'ar', ' بالانجليزية' => 'en'];
        $this->json_fields = ['الإسم' => 'name'];

        parent::__construct();

    }
    public function store(Request $request)
    {
        $amount = new AmountType();
        $amount['name->ar'] = $request['name_ar'];
        $amount['name->en'] = $request['name_en'];
        $amount->save();
        return redirect('admin/' . $this->route . '')->with('created', 'تمت الاضافة بنجاح');

    }

    public function update($id,Request $request)
    {
        $amount = AmountType::find($id);
        $amount['name->ar'] = $request['name_ar'];
        $amount['name->en'] = $request['name_en'];
        
        $amount->update();
        return redirect('admin/' . $this->route . '')->with('created', 'تمت الاضافة بنجاح');

    }

    public function validation_func($method, $id = null)
    {
        if ($method == 1) // POST Case
            return ['name_ar' => 'required', 'name_en' => 'required'];
        return ['name_ar' => 'required', 'name_en' => 'required'];
    }
}
