<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Bank;

class BanksController extends MasterController
{
    public function __construct(Bank $model)
    {
        $this->model = $model;
        $this->route = 'banks';
        $this->module_name = 'البنوك';
        $this->language = [' بالعربية' => 'ar', ' بالانجليزية' => 'en'];
        $this->json_fields = ['الإسم' => 'name', 'اسم البنك' => 'bank_name'];

        parent::__construct();

    }

    public function store(Request $request)
    {
        $this->validate($request, $this->validation_func(1));

        $bank = new Bank();
        $bank['name->en'] = $request['name_en'];
        $bank['name->ar'] = $request['name_ar'];
        $bank['bank_name->en'] = $request['bank_name_en'];
        $bank['bank_name->ar'] = $request['bank_name_ar'];
        $bank['account_number'] = $request['account_number'];
        $bank['status'] = $request['status'];

        $bank->save();
        return redirect('admin/' . $this->route . '')->with('created', 'تمت الاضافة بنجاح');

    }

    public function update($id, Request $request)
    {
        $this->validate($request, $this->validation_func(2, $id));

        $bank = Bank::find($id);
        $bank['name->en'] = $request['name_en'];
        $bank['name->ar'] = $request['name_ar'];
        $bank['bank_name->en'] = $request['bank_name_en'];
        $bank['bank_name->ar'] = $request['bank_name_ar'];
        $bank['account_number'] = $request['account_number'];
        $bank['status'] = $request['status'];
        $bank->update();
        return redirect('admin/' . $this->route . '')->with('created', 'تمت الاضافة بنجاح');

    }

    public function validation_func($method, $id = null)
    {
        if ($method == 1) // POST Case
            return ['name_en' => 'required', 'name_ar' => 'required', 'bank_name_en' => 'required', 'bank_name_ar' => 'required', 'account_number' => 'required'];
        return ['name_en' => 'required', 'name_ar' => 'required', 'bank_name_en' => 'required', 'bank_name_ar' => 'required', 'account_number' => 'required'];
    }

}
