<?php

namespace App\Http\Controllers\Admin;

use App\Models\Order;
use App\Models\Product;
use App\Models\Item;
use App\Models\Bill;
use App\Models\BillItems;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class BillsController extends MasterController
{
    public function __construct(Bill $model)
    {
        $this->model = $model;
        $this->route = 'bills';
        $this->module_name = ' الفواتير';
        parent::__construct();
    }
    public function read_barcode(Request $request){
        $resources = Item::whereBarcode($request->barcode)->first();
        $data = ['status' => 1, 'msg' => 'successfully loading', 'data' => $resources];
        return response($data);

    }
    public function store(Request $request)
    {
        $array =  $request->id_array;
        $paid = $request['paid'];
        $products_array = [];
        foreach (explode(',', $array[0]) as $value) {
            $products_array[] = Item::find($value);

        }
        $rows =collect($products_array);
        if (count($rows) > 0){
            $total_price = $rows->sum('price');
            $bill = new Bill();
            $bill->total = $total_price;
            $bill->paid = $paid;
            $bill->remain = $total_price - $paid;
            $bill->save();
            $bill->bill_number = $bill->id +10;
            $bill->update();
            foreach ($rows as $row){
                $check = BillItems::where(['bill_id'=>$bill->id,'item_id'=>$row->id])->first();
                if ($check){
                    $check->count +=1;
                    $check->update();
                }else{
                    BillItems::create([
                        'bill_id'=>$bill->id,
                        'item_id'=>$row->id
                    ]);
                }

            }
            $dariba = 5 % $bill->total;

            return view('admin.bills.show',compact('bill','dariba'));
        }else{
            return redirect()->back()->with('error','يرجي إدخال المنتجات');
        }


    }
    public function bill_details($id){
        $bill = Bill::find($id);
        $dariba = 5 % $bill->total;

        return view('admin.bills.show',compact('bill','dariba'));
    }
}
