<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Category;
class CategoriesController extends MasterController
{
    public function __construct(Category $model)
    {
        $this->model = $model;
        $this->route = 'categories';
        $this->module_name = 'الأقسام';
        $this->language = [' بالعربية' => 'ar', ' بالانجليزية' => 'en'];
        $this->json_fields  = ['الإسم'=>'name'];

        parent::__construct();

    }
    public function store(Request $request){
        $this->validate($request,[
            'name_en' => 'required','name_ar'=>'required','image'=>'required'
            ]);
        $category = new Category();
        $category['name->en']  = $request['name_en'];
        $category['name->ar'] = $request['name_ar'];
        if ($request->hasFile('image')){
            $file_name = time().'.'.$request['image']->getClientOriginalExtension();
            $request['image']->move(public_path('images/category'),$file_name);
            $category->image = $file_name;
        }
        $category->save();
        return redirect('admin/' . $this->route . '')->with('created', 'تمت الاضافة بنجاح');

    }
    public function update($id,Request $request){
        $category = Category::find($id);
        $category['name->en']  = $request['name_en'];
        $category['name->ar'] = $request['name_ar'];
        if ($request->hasFile('image')){
            $file_name = time().'.'.$request['image']->getClientOriginalExtension();
            $request['image']->move(public_path('images/category'),$file_name);
            $category->image = $file_name;
        }
        $category->update();
        return redirect('admin/' . $this->route . '')->with('created', 'تمت الاضافة بنجاح');

    }
    public function validation_func($method,$id=null)
    {
        if($method == 1) // POST Case
            return ['name_en' => 'required','name_ar'=>'required','image'=>'required'];
        return ['name_en' => 'required','name_ar'=>'required'];
    }

}
