<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\City;

class CitiesController extends MasterController
{
    public function __construct(City $model)
    {
        $this->model = $model;
        $this->route = 'cities';
        $this->module_name = 'المدن';
        $this->language = [' بالعربية' => 'ar', ' بالانجليزية' => 'en'];
        $this->json_fields = ['الإسم' => 'name'];

        parent::__construct();

    }


    public function store(Request $request)
    {
        $this->validate($request, [
            'name_en' => 'required', 'name_ar' => 'required'
        ]);
        $city = new City();
        $city['name->en'] = $request['name_en'];
        $city['name->ar'] = $request['name_ar'];

        $city->save();
        return redirect('admin/' . $this->route . '')->with('created', 'تمت الاضافة بنجاح');

    }

    public function update($id, Request $request)
    {
        $city = City::find($id);

        $city['name->en'] = $request['name_en'];
        $city['name->ar'] = $request['name_ar'];

        $city->update();
        return redirect('admin/' . $this->route . '')->with('created', 'تمت الاضافة بنجاح');

    }


    public function validation_func($method, $id = null)
    {
        if ($method == 1) // POST Case
            return ['name_en' => 'required', 'name_ar' => 'required'];
        return ['name_en' => 'required', 'name_ar' => 'required'];
    }


}