<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Admin\MasterController;
 use App\Models\Ad;
use App\Models\Admin;
use App\Models\Category;
use App\Models\City;
use App\Models\Client;
use App\Models\Country;
use App\Models\Product;
use App\Models\SubCategory;
use App\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
//use Illuminate\Support\Facades\Auth;
use Jenssegers\Agent\Agent;
use Analytics;
use Auth;

class ClientsController extends MasterController
{
    public function __construct(User $model)
    {
        $this->model = $model;
        $this->route = 'clients';
        $this->module_name = 'قائمة الأعضاء';
        $this->single_module_name = 'عضو';
        $this->index_fields = ['الرقم التسلسلي' => 'id','الإسم' => 'name', 'رقم الجوال' => 'phone'];
        $this->create_fields = ['الإسم' => 'name', ' كلمة المرور' => 'password', 'رقم الجوال' => 'phone'];
        $this->update_fields = ['الإسم' => 'name', 'رقم الجوال' => 'phone'];

        parent::__construct();
    }

    public function index()
    {
        $rows = $this->model->where('type','client')->where('name','!=',null)->get();

        return view('admin.' . $this->route . '.index', compact('rows'));
    }



    public function validation_func($method, $id = null)
    {
        if ($method == 1) // POST Case
            return ['name' => 'required|unique:users', 'address' => 'required','city_id' => 'required', 'phone' => 'required|unique:users', 'lat' => 'required', 'lng' => 'required', 'password' => 'required|min:6'];
        return ['name' => 'required', 'phone' => 'required|unique:users,phone,' . $id, 'address' => 'required', 'lat' => 'required', 'lng' => 'required', 'city_id' => 'required'];
    }


}
