<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Expenses;
class ExpensesController extends MasterController
{
    public function __construct(Expenses $model)
    {
        $this->model = $model;
        $this->route = 'expenses';
        $this->module_name = 'افسام المصاريف';
        $this->language = [' بالعربية' => 'ar', ' بالانجليزية' => 'en'];
        $this->json_fields  = ['الإسم'=>'name'];

        parent::__construct();

    }
    public function store(Request $request){
        $this->validate($request, $this->validation_func(1));

        $expenses = new Expenses();
        $expenses['name'] = $request['name'];

        $expenses->save();
        return redirect('admin/' . $this->route . '')->with('created', 'تمت الاضافة بنجاح');

    }
    public function update($id,Request $request){
        $this->validate($request, $this->validation_func(2, $id));

        $expenses = Expenses::find($id);
        $expenses['name'] = $request['name'];

        $expenses->update();
        return redirect('admin/' . $this->route . '')->with('created', 'تمت الاضافة بنجاح');

    }
    public function validation_func($method,$id=null)
    {
        if($method == 1) // POST Case
            return ['name' => 'required'];
        return ['name' => 'required'];
    }

}
