<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Export;
class ExportsController extends MasterController
{
    public function __construct(Export $model)
    {
        $this->model = $model;
        $this->route = 'exports';
        $this->module_name = 'الصادرات';
        $this->language = [' بالعربية' => 'ar', ' بالانجليزية' => 'en'];
        $this->json_fields  = ['الإسم'=>'name'];

        parent::__construct();

    }
    public function store(Request $request){
        $this->validate($request, $this->validation_func(1));

        $export = new Export();
        $export['expens_id']  = $request['expens_id'];
        $export['price'] = $request['price'];

        $export->save();
        return redirect('admin/' . $this->route . '')->with('created', 'تمت الاضافة بنجاح');

    }
    public function update($id,Request $request){
        $this->validate($request, $this->validation_func(2, $id));

        $export = Export::find($id);
        $export['expens_id']  = $request['expens_id'];
        $export['price'] = $request['price'];

        $export->update();
        return redirect('admin/' . $this->route . '')->with('created', 'تمت الاضافة بنجاح');

    }
    public function validation_func($method,$id=null)
    {
        if($method == 1) // POST Case
            return ['expens_id' => 'required','price'=>'required'];
        return ['expens_id' => 'required','price'=>'required'];
    }

}
