<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Income;
class IncomesController extends MasterController
{
    public function __construct(Income $model)
    {
        $this->model = $model;
        $this->route = 'incomes';
        $this->module_name = 'الواردات';
        $this->language = [' بالعربية' => 'ar', ' بالانجليزية' => 'en'];
        $this->json_fields  = ['الإسم'=>'name'];

        parent::__construct();

    }
    public function store(Request $request){
        $this->validate($request, $this->validation_func(1));

        $income = new Income();
        $income['expens_id']  = $request['expens_id'];
        $income['price'] = $request['price'];

        $income->save();
        return redirect('admin/' . $this->route . '')->with('created', 'تمت الاضافة بنجاح');

    }
    public function update($id,Request $request){
        $this->validate($request, $this->validation_func(2, $id));

        $income = Income::find($id);
        $income['expens_id']  = $request['expens_id'];
        $income['price'] = $request['price'];

        $income->update();
        return redirect('admin/' . $this->route . '')->with('created', 'تمت الاضافة بنجاح');

    }
    public function validation_func($method,$id=null)
    {
        if($method == 1) // POST Case
            return ['expens_id' => 'required','price'=>'required'];
        return ['expens_id' => 'required','price'=>'required'];
    }

}
