<?php

namespace App\Http\Controllers\Admin;

use App\Models\Invoice;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class InvoicesController extends MasterController
{
    public function __construct(Invoice $model)
    {
        $this->model = $model;
        $this->route = 'invoices';
        $this->module_name = 'التقارير';

        parent::__construct();

    }

    public function filter_invoice(Request $request)
    {
        $this->validate($request, [
            'from' => 'required',
            'to' => 'required|after_or_equal:from'
        ]);

        $rows = Invoice::whereBetween('date',[$request['from'],$request['to']])->orderBy('created_at','DESC')->get();
        return view('admin.' . $this->route . '.index', compact('rows'));


    }
}
