<?php

namespace App\Http\Controllers\Admin;

use App\Jobs\NotificationJob;
use App\Models\Notification;
use App\User;
use Carbon\Carbon;
use Edujugon\PushNotification\PushNotification;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class NotificationController extends MasterController
{
    public function __construct(Notification $model)
    {
        $this->model = $model;
        $this->route = 'notification';
        $this->module_name = 'الاشعارات';
        $this->single_module_name = 'الاشعارات';
        $this->index_fields = ['طريقة الدفع' => 'payment_method'];
        $this->create_fields = ['العنوان' => 'title', 'المحتوي' => 'body'];
        parent::__construct();
    }

    public function store(Request $request)
    {
        $this->validate($request, [
            'title' => 'required',
            'body' => 'required'
        ]);
        // $users = User::where('device_token', '!=', null)->get();
        $users = User::all();
        $tokens = [];



        foreach ($users as $user) {
            if ($user->device_token) {


                $job = (new NotificationJob($request['title'], $request['body'], $user->device_type, $user->device_token))->delay(Carbon::now()->addSeconds(10));
                dispatch($job);


            }
        }
////                $tokens[] = $user->device_token;
////                $push = new PushNotification('fcm');
////                if ($user->device_type == 'ios'){
////                    $msg = [
////                        'data' => [
////                            'title' => $request['title'],
////                            'sound' => 'default',
////                            'click_action' => 'FCM_PLUGIN_ACTIVITY',
////                            'body' => $request['body'],
////
////                        ],
////                        'notification' => [
////                            'title' => $request['title'],
////                            'body' => $request['body'],
////                            'sound' => 'default',
////
////                        ],
////                        'priority' => 'high',
////                    ];
////
////                }else{
////                    $msg = [
////                        'data' => [
////                            'title' => $request['title'],
////                            'sound' => 'default',
////                            'click_action' => 'FCM_PLUGIN_ACTIVITY',
////                            'body' => $request['body'],
////
////                        ],
////                        'priority' => 'high',
////                    ];
////
////                }
////
////
////                $push->setMessage($msg)
////                    ->setDevicesToken($user->device_token)
////                    ->send();
////
////
////            }
//        }


        return redirect()->back()->with('send_notification', 'تم ارسال الاشعارات');

    }

}
