<?php

namespace App\Http\Controllers\Admin;

use App\User;
use Carbon\Carbon;
use Edujugon\PushNotification\PushNotification;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Order;

//use Illuminate\Support\Facades\Mail;
//use App\Mail\shippingOrder;
//use App\Mail\inDeliverOrder;
class OrdersController extends MasterController
{
    public function __construct(Order $model)
    {
        $this->model = $model;
        $this->route = 'orders';
        $this->module_name = 'قائمة المشتريات';
        $this->single_module_name = 'المشتريات';
        $this->index_fields = ['طريقة الدفع' => 'payment_method'];
        $this->create_fields = ['طريقة الدفع' => 'payment_method'];
        $this->update_fields = ['طريقة الدفع' => 'payment_method'];
        parent::__construct();
    }

    public function index()
    {

        $rows = $this->model->latest()->where('lat', '!=', null)->get();
        return view('admin.' . $this->route . '.index', compact('rows'));
    }

    public function update($id, Request $request)
    {
        $order = Order::find($id);
        // $order->expiration_time = $request['expiration_time'];
        $order->driver_id = User::where('type','driver')->first()->id;
        $order->status = $request['status'];
        $order->update();

    //   $setting = Setting::first();
    //         $point1_lat = $setting->location['lat'];
    //         $point1_long = $setting->location['lng'];
    //         $point2_lat = $order['lat'];
    //         $point2_long = $order['lng'];
    //         $degrees = rad2deg(acos((sin(deg2rad($point1_lat)) * sin(deg2rad($point2_lat))) + (cos(deg2rad($point1_lat)) * cos(deg2rad($point2_lat)) * cos(deg2rad($point1_long - $point2_long)))));
    //         $distance = $degrees * 111.13384;
    //         dd($distance);


        return redirect('admin/' . $this->route . '')->with('created', 'تمت التعديل بنجاح');

    }
    public function print_order($id){
        $row = Order::find($id);
        return view('admin.orders.print_page',compact('row'));
    }
    public function orders_filter(Request  $request){
        $this->validate($request, [
            'from' => 'required',
            'to' => 'required|after_or_equal:from'
        ]);

        $rows = Order::whereBetween('created_at',[Carbon::parse($request['from']),Carbon::parse($request['to'])])->orderBy('created_at','DESC')->get();
        return view('admin.' . $this->route . '.index', compact('rows'));


    }
}
