<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Properties;

class PropertiesController extends MasterController
{
    public function __construct(Properties $model)
    {
        $this->model = $model;
        $this->route = 'properties';
        $this->module_name = 'الإضافات الرئيسية';
        $this->language = [' بالعربية' => 'ar', ' بالانجليزية' => 'en'];
        $this->json_fields = ['الإسم' => 'name'];

        parent::__construct();

    }

    public function index()
    {
        $rows = Properties::whereParentId(null)->get();
        return view('admin.properties.index', compact('rows'));
    }

    public function store(Request $request)
    {
        $this->validate($request, [
            'name_ar' => 'required',
            'name_en' => 'required'
        ]);

        $row = new Properties();
        $row['name->ar'] = $request['name_ar'];
        $row['name->en'] = $request['name_en'];
        $row['price'] = $request['price'];
        $row->save();
        return redirect('admin/' . $this->route . '')->with('created', 'تمت الاضافة بنجاح');
    }

    public function update($id, Request $request)
    {
        $this->validate($request, [
            'name_ar' => 'required',
            'name_en' => 'required'
        ]);

        $row =  Properties::find($id);
        $row['name->ar'] = $request['name_ar'];
        $row['name->en'] = $request['name_en'];
        $row['price'] = $request['price'];
        $row->update();
        return redirect('admin/' . $this->route . '')->with('created', 'تمت التعديل بنجاح');


    }
    public function show($id)
    {
        $property = Properties::find($id);
        $rows =  $property->childs;
        return view('admin.sub_properties.index',compact('property','rows'));
    }
}
