<?php

namespace App\Http\Controllers\Admin;

use App\Models\Language;
use App\Models\Permission;
use App\Models\Role;
use App\Models\RolePermission;
use App\Models\Shop;
use Illuminate\Http\Request;

class RolesController extends MasterController
{
    public function __construct(Role $model)
    {
        $this->model = $model;
        $this->language = '1';
        $this->route = 'roles';
        $this->module_name         = 'الصلاحيات ';
        $this->single_module_name  = 'الصلاحيات';
        $this->index_fields        = ['إسم الصلاحيه' => 'name'];
     //   $this->json_fields        = ["الاسم" => "name","الوصف"=>"note"];

        parent::__construct();
    }

    public function update($id, Request $request)
    {
        if(empty($request['name']) || $request['name'] == ''){
            return redirect('admin/' . $this->route . '')->with('error', 'يجب ادخال الاسم');
        }
        $role = Role::find($id);
        $rows = RolePermission::where('role_id',$role->id)->get();
        foreach ($rows as $row) {
            $row->delete();
        }
        $role->display_name = $request['name'];
        $role->name = $request['name'];
        $role->update();
        if ($request['permission']){
            foreach ($request['permission'] as $value) {
                $permission = new RolePermission();
                $permission->permission_id = $value;
                $permission->role_id = $id;
                $permission->save();
            }
        }
        return redirect('admin/' . $this->route . '')->with('created', 'تمت الاضافة بنجاح');
    }

    public function validation_func($method,$id=null)
    {
        $therulesarray = ['name'];
        return $therulesarray;
    }
    public function destroy($id)
    {
        Role::whereId($id)->delete();
        return redirect('admin/' . $this->route . '')->with('deleted', 'تم الحذف بنجاح');
    }
}
