<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Income;
use App\Models\Export;
use App\Models\Expenses;
use Validator;


class SearchController extends MasterController
{

    public function index()
    {
        return view('admin.search.index');
    }

    public function search(Request $request)
    {
        $this->validate($request, ['type' => 'required']);


        if ($request->type == 'income') {
            $results = Income::whereBetween('created_at', [$request->from, $request->to])->get();
        } else {
            $results = Export::whereBetween('created_at', [$request->from, $request->to])->get();
        }

        return view('admin.search.index', compact('results'));


    }

}
