<?php

namespace App\Http\Controllers\Admin;

use App\Models\Language;
use App\Models\Setting;
use Auth;
use function Couchbase\defaultDecoder;
use Illuminate\Http\Request;

class SettingController extends MasterController
{
    public function __construct(Setting $model)
    {
        $this->model = $model;
        $this->route = 'setting';
        $this->language = [' بالعربية' => 'ar', ' بالانجليزية' => 'en'];
        $this->json_fields = ["سياسه الخصوصيه والإستخدام" => "policy", "نبذه عنا" => "about", "الشروط والأحكام" => "terms"];
//        $this->module_name         = 'قائمة الاعدادات';
//        $this->update_fields        = ['الصورة المعبرة' => 'logo'];

        parent::__construct();

    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */


    public function get_setting()
    {
        $row = $this->model->first();
        return View('admin.setting', compact('row'));
    }


    public function update_setting($id, Request $request)
    {

        $obj = $this->model->find($id);
        $obj['about->ar'] = $request->about_ar;
        $obj['about->en'] = $request->about_en;
        $obj['policy->ar'] = $request['policy_ar'];
        $obj['policy->en'] = $request['policy_en'];
        $obj['terms->ar'] = $request['terms_ar'];
        $obj['terms->en'] = $request['terms_en'];

        $obj['socials->snap'] = $request['snap'];
        $obj['socials->insta'] = $request['insta'];
        $obj['socials->twitter'] = $request['twitter'];
        $obj['socials->whatsapp'] = $request['whatsapp'];
        $obj['location->lat'] = $request['lat'];
        $obj['location->lng'] = $request['lng'];

        $obj->update();

        return redirect('admin/' . $this->route . '')->with('updated', 'تم التعديل بنجاح');
    }

    public function validation_func()
    {
        $therulesarray = [];
        return $therulesarray;
    }

}
