<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Size;

class SizesController extends MasterController
{
    public function __construct(Size $model)
    {
        $this->model = $model;
        $this->route = 'sizes';
        $this->module_name = 'الخصائص';
        $this->language = [' بالعربية' => 'ar', ' بالانجليزية' => 'en'];
        $this->json_fields = ['الإسم' => 'name', 'الوصف' => 'note'];

        parent::__construct();

    }

    public function store(Request $request)
    {
        $this->validate($request, $this->validation_func(1));

        $size = new Size();
        $size['name->en'] = $request['name_en'];
        $size['name->ar'] = $request['name_ar'];
        $size['note->en'] = $request['note_en'];
        $size['note->ar'] = $request['note_ar'];
        $size['price'] = $request['price'];
        $size['product_id'] = $request['product_id'];

        $size->save();
        return redirect('admin/' . $this->route . '')->with('created', 'تمت الاضافة بنجاح');

    }

    public function update($id, Request $request)
    {
        $this->validate($request, $this->validation_func(2, $id));

        $size = Size::find($id);
        $size['name->en'] = $request['name_en'];
        $size['name->ar'] = $request['name_ar'];
        $size['note->en'] = $request['note_en'];
        $size['note->ar'] = $request['note_ar'];
        $size['price'] = $request['price'];
        $size['product_id'] = $request['product_id'];
        
        $size->update();
        return redirect('admin/' . $this->route . '')->with('created', 'تمت الاضافة بنجاح');

    }

    public function validation_func($method, $id = null)
    {
        if ($method == 1) // POST Case
            return ['name_en' => 'required', 'name_ar' => 'required', 'note_en' => 'required', 'note_ar' => 'required', 'price' => 'required'];
        return ['name_en' => 'required', 'name_ar' => 'required', 'note_en' => 'required', 'note_ar' => 'required', 'price' => 'required'];
    }

}
