<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Slider;
class SlidersController extends MasterController
{
    public function __construct(Slider $model)
    {
        $this->model = $model;
        $this->route = 'sliders';
        $this->module_name = 'الاسليدر';
        $this->language = [' بالعربية' => 'ar', ' بالانجليزية' => 'en'];
        $this->json_fields  = ['الإسم'=>'name'];

        parent::__construct();

    }
    public function store(Request $request){
        $this->validate($request, $this->validation_func(1));

        $slider = new Slider();

        if ($request->hasFile('image')){
            $file_name = time().'.'.$request['image']->getClientOriginalExtension();
            $request['image']->move(public_path('images/sliders'),$file_name);
            $slider->image = $file_name;
        }
        $slider->save();
        return redirect('admin/' . $this->route . '')->with('created', 'تمت الاضافة بنجاح');

    }
    public function update($id,Request $request){

        $slider = Slider::find($id);

        if ($request->hasFile('image')){
            $file_name = time().'.'.$request['image']->getClientOriginalExtension();
            $request['image']->move(public_path('images/sliders'),$file_name);
            $slider->image = $file_name;
        }
        $slider->update();
        return redirect('admin/' . $this->route . '')->with('created', 'تمت الاضافة بنجاح');

    }
    public function validation_func($method,$id=null)
    {
        if($method == 1) // POST Case
            return ['image'=>'required'];
        return [];
    }

}
