<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Properties;

class SubPropertiesController extends MasterController
{
    public function __construct(Properties $model)
    {
        $this->model = $model;
        $this->module_name = 'الإضافات الفرعية';
        $this->language = [' بالعربية' => 'ar', ' بالانجليزية' => 'en'];
        $this->json_fields = ['الإسم' => 'name'];

        parent::__construct();

    }

    public function create_sub($id)
    {
        $property = Properties::find($id);
        return view('admin.sub_properties.create', compact('property'));
    }

    public function store(Request $request)
    {
        $this->validate($request, [
            'name_ar' => 'required',
            'name_en' => 'required',
            'parent_id' => 'required|exists:properties,id'
        ]);
        $row = new Properties();
        $row['name->ar'] = $request['name_ar'];
        $row['name->en'] = $request['name_en'];
        $row['price'] = $request['price'];
        $row['parent_id'] = $request['parent_id'];
        $row->save();
        return redirect()->route('properties.show', $request['parent_id'])->with('created', 'تمت الاضافة بنجاح');

    }

    public function destroy($id)
    {
        Properties::destroy($id);
        return redirect()->back()->with('deleted', 'تم الحذف بنجاح');
    }

    public function edit($id)
    {
        $row = Properties::find($id);
        return view('admin.sub_properties.edit', compact('row'));
    }

    public function update($id, Request $request)
    {
        $this->validate($request,[
            'name_en'=>'required',
            'name_ar'=>'required',
        ]);
        $row = Properties::find($id);
        $row['name->ar'] = $request['name_ar'];
        $row['name->en'] = $request['name_en'];
        $row['price'] = $request['price'];
        $row->update();
        return redirect()->route('properties.show', $row['parent_id'])->with('updated', 'تم التعديل بنجاح');
    }
}
