<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Admin\MasterController;
use App\Models\Ad;
use App\Models\Admin;
use App\Models\Category;
use App\Models\City;
use App\Models\Client;
use App\Models\Country;
use App\Models\Product;
use App\Models\SubCategory;
use App\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
//use Illuminate\Support\Facades\Auth;
use Jenssegers\Agent\Agent;
use Analytics;
use Auth;

class UserController extends MasterController
{
    public function __construct(User $model)
    {
        $this->model = $model;
        $this->route = 'user';
        $this->module_name = 'قائمة الأعضاء';
        $this->single_module_name = 'عضو';
        $this->index_fields = ['الإسم' => 'name', 'رقم الجوال' => 'phone'];
        $this->create_fields = ['الإسم' => 'name', ' كلمة المرور' => 'password', 'رقم الجوال' => 'phone'];
        $this->update_fields = ['الإسم' => 'name', 'رقم الجوال' => 'phone'];

        parent::__construct();
    }

    public function index()
    {
     $rows = $this->model->where('type','driver')->get();

    return view('admin.' . $this->route . '.index', compact('rows'));
    }

    public function store(Request $request)
    {
        $user = new User();
        $user->name = $request['name'];
        $user->address = $request['address'];
        $user->phone = $request['phone'];
        $user->city_id = $request['city_id'];
        $user->status = $request['status'];
        $user->type = "driver";
        $user->lat = $request['lat'];
        $user->lng = $request['lng'];
        $user->password = bcrypt($request['password']);
//        if ($request['image']) {
//            $file = request()->file('image');
//            $destinationPath = 'images/user/';
//            $filename = md5($file->getClientOriginalName()).'.'.$file->getClientOriginalExtension();
//            $file->move($destinationPath, $filename);
//            $user->image = $filename;
//        } else {
//            $user->image = 'default.png';
//        }
        $user->save();

        return redirect('admin/' . $this->route . '')->with('created', 'تمت الاضافة بنجاح');

    }

    public function update($id, Request $request)
    {
        $user = User::find($id);
        $user->name = $request['name'];
        $user->address = $request['address'];
        $user->phone = $request['phone'];
        $user->city_id = $request['city_id'];
        $user->status = $request['status'];
        $user->type = "driver";
        $user->lat = $request['lat'];
        $user->lng = $request['lng'];
        if (!$request == null) {
            $user->password = bcrypt($request['password']);
        }
//        if ($request->hasFile('image')) {
//            $file = request()->file('image');
//            $destinationPath = 'images/user/';
//            $filename =md5($file->getClientOriginalName()).'.'.$file->getClientOriginalExtension();
//            $file->move($destinationPath, $filename);
//            $user->image = $filename;
//        }
        $user->update();
        return redirect('admin/' . $this->route . '')->with('updated', 'تمت التعديل بنجاح');

    }

    public function validation_func($method, $id = null)
    {
        if ($method == 1) // POST Case
            return ['name' => 'required|unique:users', 'address' => 'required','city_id' => 'required', 'phone' => 'required|unique:users', 'lat' => 'required', 'lng' => 'required', 'password' => 'required|min:6'];
        return ['name' => 'required', 'phone' => 'required|unique:users,phone,' . $id, 'address' => 'required', 'lat' => 'required', 'lng' => 'required', 'city_id' => 'required'];
    }


}
