<?php

namespace App\Http\Controllers\Api;

use App\Models\AddtionalType;
use App\Models\Cart;
use App\Models\Product;
use App\Models\Size;
use App\Models\Properties;
use App\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Routing\Route;
use Illuminate\Support\Facades\DB;
use phpDocumentor\Reflection\DocBlock\Tags\Property;
use Validator;
use App\Models\CartAdditional;
use App\Models\CartProperties;
use JWTAuth;

class CartController extends Controller
{

    public function update_tokens($user, $serial_num, $device_token)
    {
        $user->device_token = null;
        $user->device_token = $device_token;
        $user->update();

//
//        if ($user->device_token != null) {
//            foreach ($user->device_token as $key => $value) {
//                if ($serial_num == $key) {
//                    $in[$key] = $device_token;
//                } else {
//                    $in[$key] = $value;
//                }
//            }
//        }
//        $in[$serial_num] = $device_token;
//        $user->update(['device_token' => $in]);
    }

    public function store(Request $request)
    {

        $lang = $request->header('Accept-Language', 'en');
        \App::setLocale($lang);


        $lang = $request->header('Accept-Language');
        \App::setLocale($lang);

        if (!$user = JWTAuth::parseToken()->authenticate()) {
            if ($lang == 'en') {
                return response()->json(['value' => false, 'msg' => 'there is no user with this token']);

            } else {
                return response()->json(['value' => false, 'msg' => 'لا يوجد مستخدم بهذا التوكن']);

            }
        }

        $validator = Validator::make($request->all(), [
            'product_id' => 'required',
            'amount' => 'required'
        ]);
        if ($validator->passes()) {

            $product = Product::find($request['product_id']);


            // check product properties
            $cart_properties_count = 0;
            if ($request['properties']) {
                $array = $request['properties'];

                foreach (explode(',', $array) as $value) {
                    $cart_properties_count++;
                }

            }

            if ($cart_properties_count != $product->check_properties) {
                return response()->json(['value' => false, 'msg' => \Lang::get('data.wrong_count')]);
            }


            $cart = Cart::create([
                'product_id' => $request['product_id'],
                // 'size_id' => $request['size_id'],
                'user_id' => $user->id,
                'price' => $product->price * $request['amount'],
                'status' => 'cart',
                'amount' => $request['amount']
            ]);

            if ($request['properties']) {
                $array = $request['properties'];
                $properties_price = 0;
                foreach (explode(',', $array) as $value) {
                    \DB::table('cart_properties')->insert(['cart_id' => $cart->id, 'property_id' => $value]);
                    $property = Properties::find($value);
                    $properties_price += $property->price;
                }
                $price_pro = $request['amount'] * $property->price;
                $cart->price += $price_pro;
                $cart->update();
            }


            if ($lang == 'en') {
                return response()->json(['value' => true, 'data' => 'Added to cart']);
            } else {
                return response()->json(['value' => true, 'data' => 'تم الإضافة إلي السلة']);

            }


        } else {
            return response()->json(['value' => false, 'msg' => $validator->errors()->first()]);
        }
    }

    public function cart(Request $request)
    {
        $lang = $request->header('Accept-Language', 'en');
        \App::setLocale($lang);
        if (!$user = JWTAuth::parseToken()->authenticate()) {
            if ($lang == 'en') {
                return response()->json(['value' => false, 'msg' => 'there is no user with this token']);

            } else {
                return response()->json(['value' => false, 'msg' => 'لا يوجد مستخدم بهذا التوكن']);

            }
        }

        if ($user) {
            $carts = Cart::where('user_id', $user->id)->where('status', 'cart')->orderBy('id', 'DESC')->get();

            $data = [];
            foreach ($carts as $cart) {
                $arr['id'] = $cart->id;
                $arr['name'] = $cart->product->name[$lang];
                $arr['type'] = $cart->product->category->name[$lang];
                $arr['amount'] = $cart->amount;
                $arr['price'] = $cart->price;
                $data[] = $arr;

            }
            $price = Cart::where('user_id', $user->id)->where('status', 'cart')->sum('price');

            $value_sum = $price * 5;
            $value_added = $value_sum / 100;

            $total_price = $price;

            return response()->json(['value' => true, 'data' => $data, 'value_added' => round($value_added), 'cart_price' => round($total_price)]);
        } else {
            if ($lang == 'ar') {
                return response()->json(['value' => false, 'msg' => 'السلة فارغة']);

            } else {
                return response()->json(['value' => false, 'msg' => 'Cart is empty']);

            }
        }
    }

    public function delete($id, Request $request)
    {
        $lang = $request->header('Accept-Language', 'en');
        \App::setLocale($lang);
        Cart::destroy($id);
        if (!$user = JWTAuth::parseToken()->authenticate()) {
            if ($lang == 'en') {
                return response()->json(['value' => false, 'msg' => 'there is no user with this token']);

            } else {
                return response()->json(['value' => false, 'msg' => 'لا يوجد مستخدم بهذا التوكن']);

            }
        }
        if ($user) {
            //  $this->update_tokens($user, $serial, $device_token);
            $price = Cart::where('user_id', $user->id)->where('status', 'cart')->sum('price');


            $carts = Cart::where('user_id', $user->id)->where('status', 'cart')->orderBy('id', 'DESC')->get();

            $data = [];
            foreach ($carts as $cart) {
                $arr['id'] = $cart->id;
                $arr['name'] = $cart->product->name[$lang];
                $arr['type'] = $cart->product->category->name[$lang];
                $arr['amount'] = $cart->amount;
                $arr['price'] = $cart->price;
                $data[] = $arr;

            }


            return response()->json(['value' => true, 'data' => 'Deleted', 'cart_price' => $price, 'cart_data' => $data]);
        } else {
            return response()->json(['value' => false, 'msg' => 'wrong id']);
        }

    }

    public function counter(Request $request)
    {

        $lang = $request->header('Accept-Language', 'ar');
        \App::setLocale($lang);
        $serial = $request->header('serial');
        if (!$user = JWTAuth::parseToken()->authenticate()) {
            if ($lang == 'en') {
                return response()->json(['value' => false, 'msg' => 'there is no user with this token']);

            } else {
                return response()->json(['value' => false, 'msg' => 'لا يوجد مستخدم بهذا التوكن']);

            }
        }
        if ($user) {
            $count = $user->carts->where('status', 'cart')->count();
            return response()->json(['value' => true, 'data' => $count]);
        } else {
            return response()->json(['value' => true, 'data' => 0]);
        }
    }

    public function payfort(Request $request)
    {
        $requestParams['amount'] = $request['amount'];
        $requestParams['response_code'] = $request['response_code'];
        $requestParams['card_number'] = $request['card_number'];
        $requestParams['signature'] = $request['signature'];
        $requestParams['payment_option'] = $request['payment_option'];
        $requestParams['expiry_date'] = $request['expiry_date'];
        $requestParams['customer_ip'] = $request['customer_ip'];
        $requestParams['eci'] = $request['eci'];
        $requestParams['language'] = $request['language'];
        $requestParams['fort_id'] = $request['fort_id'];
        $requestParams['command'] = $request['command'];
        $requestParams['response_message'] = $request['response_message'];
        $requestParams['sdk_token'] = $request['sdk_token'];
        $requestParams['authorization_code'] = $request['authorization_code'];
        $requestParams['merchant_reference'] = $request['merchant_reference'];
        $requestParams['customer_email'] = $request['customer_email'];
        $requestParams['currency'] = $request['currency'];
        $requestParams['status'] = $request['status'];

        $requestParams = json_encode($requestParams);

        $result = file_get_contents('https://sbpaymentservices.payfort.com/FortAPI/paymentApi', null, stream_context_create(array(
                'http' => array(
                    'method' => 'POST',
                    'header' => 'Content-Type: application/json' . "\r\n"
                        . 'Content-Length: ' . strlen($requestParams) . "\r\n",
                    'content' => $requestParams,
                ),
            )
        ));

        $result = json_decode($result);
        return response()->json(['value' => true, 'data' => $result]);
    }
}
