<?php

namespace App\Http\Controllers\Api;

use App\Models\Category;
use App\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Slider;

class HomeController extends MasterController
{
    public function index(Request $request)
    {
        $token = $request->header('token');
        $device_type = $request->header('device');
        $user = User::where('device_token',$token)->first();
        if (!$user){
            $user = new User();
            $user->device_token = $token;
            $user->device_type = $device_type;
            $user->type ='client';
            $user->save();
        }
        $lang = $request->header('Accept-Language', 'en');
        $data = [];

        $all_sliders = Slider::all();
        $sliders = [];
        foreach ($all_sliders as $slider) {
            $arr['image'] = asset('images/sliders/' . $slider->image);
            $sliders[] = $arr;
        }

        $all_categories = Category::all();
        $categories = [];
        foreach ($all_categories as $category) {
            $arr['id'] = $category->id;
            $arr['name'] = $category->name[$lang];
            $arr['image'] = asset('images/category/' . $category->image);
            $categories[] = $arr;
        }
        $data['sliders'] = $sliders;
        $data['categories'] = $categories;
        return response()->json(['value' => true, 'data' => $data]);
    }
}
