<?php

namespace App\Http\Controllers\Api;

use App\Models\Category;
use App\Models\Product;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Properties;
use function GuzzleHttp\Psr7\str;

class ProductsController extends MasterController
{
    public function products($id, Request $request)
    {
        $lang = $request->header('Accept-Language', 'en');
        \App::setLocale($lang);
        $category = Category::find($id);
        if ($category) {
            $products = $category->products->where('status', 'active');
            $data = [];
            foreach ($products as $product) {
                $arr['id'] = $product->id;
                $arr['name'] = $product->name[$lang];
                $arr['note'] = strip_tags($product->notes[$lang]);
                $arr['type'] = $product->type;
                $arr['price'] = $product->price;
                $arr['amount'] = $product->amount;
                $arr['amount_type'] = $product->amountType->name[$lang];
//                if (count($product->sizes) > 0) {
//                    $arr['price'] = $product->sizes[0]->price;
//                } else {
//                    $arr['price'] = $product->price;
//                }
                if (count($product->images) > 0) {
                    $arr['image'] = asset('images/products/' . $product->images->first()->image);
                } else {
                    $arr['image'] = asset('images/category/' . $product->category->image);
                }
                $arr['size_name'] = $product->size_name ? $product->size_name[$lang] : '';
                $arr['sizes'] = [];
                foreach ($product->sizes as $size) {
                    $sz['id'] = $size->id;
                    $sz['name'] = $size->name[$lang];
                    $sz['note'] = $size->note ? $size->note[$lang] : '';
                    $sz['price'] = $size->price;
                    $arr['sizes'][] = $sz;
                }
                $arr['images'] = [];
                foreach ($product->images as $image) {
                    $img['id'] = $image->id;
                    $img['image'] = asset('images/products/' . $image->image);
                    $arr['images'][] = $img;
                }
                $arr['pieces'] = [];
                foreach ($product->pieces as $piece) {
                    $pi['id'] = $piece->id;
                    $pi['name'] = $piece->name[$lang];
                    $arr['pieces'][] = $pi;
                }
                $arr['properties'] = [];
                foreach ($product->properties as $property) {
                    $prop['id'] = $property->id;
                    $prop['name'] = $property->name[$lang];
                    $prop['price'] = $property->price;
                    $arr['properties'][] = $prop;
                }
                $data[] = $arr;
            }
            return response()->json(['value' => true, 'data' => $data]);
        } else {
            return response()->json(['value' => false, 'msg' => 'wrong id for category']);
        }
    }

    public function product($id)
    {
        $lang = \request()->header('Accept-Language', 'ar');
        \App::setLocale($lang);
        $product = Product::find($id);
        if ($product) {
            $data['id'] = $product->id;
            $data['name'] = $product->name[$lang];
            $data['note'] = strip_tags($product->notes[$lang]);
            $data['type'] = $product->type;
            $data['price'] = $product->price;
            $data['amount'] = $product->amount;
            $data['amount_type'] = $product->amountType->name[$lang];
            if (count($product->images) > 0) {
                $data['image'] = asset('images/products/' . $product->images->first()->image);
            } else {
                $data['image'] = asset('images/category/' . $product->category->image);
            }
            $data['size_name'] = $product->size_name ? $product->size_name[$lang] : '';

            $data['sizes'] = [];
            foreach ($product->sizes as $size) {
                $sz['id'] = $size->id;
                $sz['name'] = $size->name[$lang];
                $sz['note'] = $size->note ? $size->note[$lang] : '';
                $sz['price'] = $size->price;
                $data['sizes'][] = $sz;
            }
            $data['images'] = [];
            foreach ($product->images as $image) {
                $img['id'] = $image->id;
                $img['image'] = asset('images/products/' . $image->image);
                $data['images'][] = $img;
            }
            $data['pieces'] = [];
            foreach ($product->pieces as $piece) {
                $pi['id'] = $piece->id;
                $pi['name'] = $piece->name[$lang];
                $data['pieces'][] = $pi;
            }
//            $data['properties'] = [];
//            foreach ($product->properties as $property) {
//                $prop['id'] = $property->id;
//                $prop['name'] = $property->name[$lang];
//                $prop['price'] = $property->price;
//                $data['properties'][] =$prop;
//            }
            $parents = [];
            foreach ($product->properties as $property) {
                $parents[] = $property->parent_id;
            }

            $count = 0;
            $unique_parents = array_unique($parents);
            $categories = Properties::whereIn('id', $unique_parents)->get();

            $data['properties'] = [];
            foreach ($categories as $category) {
                if (!$product->properties->contains($category)) {
                    $count++;
                    $arr['id'] = $category->id;
                    $arr['name'] = $category->name[$lang];
                    $arr['price'] = $category->price ? (string)$category->price : '';
                    $arr['sub_properties'] = [];
                    foreach ($category->childs as $child) {


                        if ($product->properties->contains($child)) {

                            $ch['id'] = $child->id;
                            $ch['name'] = $child->name[$lang];
                            $ch['price'] = $child->price ? (string)$child->price : '';

                            $ch['child_properties'] = [];
                            foreach ($child->childs as $child_property) {
                                if ($product->properties->contains($child_property)) {
                                    $ch_p['id'] = $child_property->id;
                                    $ch_p['name'] = $child_property->name[$lang];
                                    $ch_p['price'] = $child_property->price ? (string)$child_property->price : '';
                                    $ch['child_properties'][] = $ch_p;

                                }
                            }
                            $arr['sub_properties'][] = $ch;
                        }

                    }
                    $data['properties'][] = $arr;
                }

            }

            return response()->json(['value' => true, 'data' => $data]);
        } else {
            return response()->json(['value' => false, 'msg' => 'wrong id for product']);
        }

    }
}
