<?php

namespace App\Http\Controllers\Api;

use App\Models\Bank;
use App\Models\City;
use App\Models\Payment;
use App\Models\Rate;
use App\Models\Setting;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Contact;
use Validator;
class SettingController extends MasterController
{
    public function setting(Request $request)
    {
        $lang = $request->header('Accept-Language');
        \App::setLocale($lang);
        $setting = Setting::orderBy('created_at','DESC')->first();
        $data['logo'] = asset('images/setting/'.$setting->logo);
        $data['about'] = strip_tags($setting->about[$lang]);
        $data['policy'] = strip_tags($setting->policy[$lang]);
        $data['first_screen'] = strip_tags($setting->first_screen[$lang]);
        $data['second_screen'] = strip_tags($setting->second_screen[$lang]);
        $data['third_screen'] = strip_tags($setting->third_screen[$lang]);
        $data['whatsapp'] = $setting->socials['whatsapp'];
        $data['snapchat'] = $setting->socials['snap'];
        $data['instagram'] = $setting->socials['insta'];
        $data['twitter'] = $setting->socials['twitter'];
        return response()->json(['value'=>true,'data'=>$data]);
    }
    public function payments(){
        $lang = request()->header('Accept-Language');
        \App::setLocale($lang);
        $payments = Payment::whereStatus('true')->get();
        $data =[];
        foreach ($payments as $payment) {
            $arr['id'] = $payment->id;
            $arr['name'] = $payment->name[$lang];
            $arr['image'] = $payment->image ? asset('images/payments').'/'.$payment->image : "";
            $data[]=$arr;
        }
        return response()->json(['value'=>true,'data'=>$data]);
    }
    public function cities(Request $request){
        $lang = $request->header('Accept-Language','en');
        \App::setLocale($lang);
        $cities = City::all();
        $data =[];
        foreach ($cities as $city){
            $arr['id'] = $city->id;
            $arr['name'] = $city->name[$lang];
            $data[] = $arr;
        }
        return response()->json(['value'=>true,'data'=>$data]);
    }
    public function contact(Request $request){
        $lang = $request->header('Accept-Language');
        \App::setLocale($lang);
        $validator = Validator::make($request->all(),[
            'phone'=>'required',
            'title'=>'required',
            'message'=>'required'
        ]);
        if ($validator->passes()){
            Contact::create($request->all());
            if ($lang == 'ar'){
                return response()->json(['value'=>true,'data'=>'تم الارسال']);
            }else{
                return response()->json(['value'=>true,'date'=>'sent !']);
            }
        }else{
            return response()->json(['value'=>false,'msg'=>$validator->errors()->first()]);
        }
    }
    public function banks(Request $request){
        $lang = $request->header('Accept-Language');
        \App::setLocale($lang);
        $data = [];
        foreach (Bank::whereStatus('active')->get() as $bank){
            $arr['id'] = $bank->id;
            $arr['account_name'] = $bank->name[$lang];
            $arr['bank_name'] = $bank->bank_name[$lang];
            $arr['account_number'] = $bank->account_number;
            $data[] = $arr;
        }
        return response()->json(['value'=>true,'data'=>$data]);
    }
}
