<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Auth;
use Route;

class WebLoginController extends Controller
{
    public function __construct()
    {
        $this->middleware('guest:web', ['except' => ['logout']]);
    }

    public function web_login(Request $request)
    {

        $this->validate($request, [
            'mobile'   => 'required',
            'password' => 'required|min:6'
        ]);

        if (Auth::guard('web')->attempt(['mobile' => $request->mobile, 'password' => $request->password,'status'=>'active'], $request->remember)) {
            return redirect()->route('home');
        }
        return redirect()->back()->withErrors(['يوجد مشاكل بالبيانات المدخلة']);
    }



    public function web_logout()
    {
        Auth::user()->logout();
        return redirect('/');
    }

}