<?php

namespace App\Jobs;

use Edujugon\PushNotification\PushNotification;
use Illuminate\Bus\Queueable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;

class NotificationJob implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    public $title;
    public $body;
    public $device_type;
    public $device_token;
    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct($title, $body, $device_type, $device_token)
    {
        $this->title = $title;
        $this->body = $body;
        $this->device_type = $device_type;
        $this->device_token = $device_token;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {

        $push = new PushNotification('fcm');


        if ($this->device_type == 'ios') {
            $msg = [
                'data' => [
                    'title' => $this->title,
                    'body' => $this->body,
                    'sound' => 'default',
                    'click_action' => 'FCM_PLUGIN_ACTIVITY',
                ],
                'notification' => [
                    'title' => $this->title,
                    'body' => $this->body,

                ],
                'priority' => 'high',
            ];
        } else {
            $msg = [
                'data' => [
                    'title' => $this->title,
                    'body' => $this->body,
                    'sound' => 'default',
                    'click_action' => 'FCM_PLUGIN_ACTIVITY',
                ],
//                'notification' => [
//                    'title' => request()->title,
//                    'body' => request()->body,
//                    'user_id' => $user,
//                    'type' => 'student'
//                ],
                'priority' => 'high',
            ];
        }


        $push->setMessage($msg)
            ->setDevicesToken($this->device_token)
            ->send();
    }
}
