<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Additional extends Model 
{

    protected $table = 'additionals';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('name', 'notes', 'price', 'product_id');
    protected $casts =[
        'name'=>'json'
    ];
    public function product (){
        return $this->belongsTo('App\Models\Product','product_id','id');
    }
    public function types(){
        return $this->hasMany('App\Models\AddtionalType','additional_id','id');
    }

}