<?php

namespace App\Models;

use App\User;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Models\Properties;

class Cart extends Model
{

    protected $table = 'cart';
    public $timestamps = true;

//    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('product_id', 'size_id', 'quantity', 'additionals', 'status', 'user_id', 'piece_id', 'price', 'notes', 'amount');
    protected $casts = ['additionals' => 'json'];

    public function product()
    {
        return $this->belongsTo('App\Models\Product', 'product_id', 'id');
    }

    public function size()
    {
        return $this->belongsTo('App\Models\Size', 'product_id', 'id');
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id', 'id');
    }

    public function piece()
    {
        return $this->belongsto('App\Models\Piece', 'piece_id', 'id');
    }

    public function properties()
    {
        return $this->belongsToMany(Properties::class, 'cart_properties', 'cart_id', 'property_id');
    }

}
