<?php

namespace App\Models;

use App\User;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Order extends Model
{

    protected $table = 'orders';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $casts = ['carts' => 'json'];
    protected $fillable = array('user_id', 'carts', 'city_id', 'driver_id', 'status', 'payment_id', 'address', 'mobile', 'client_name', 'bank_id', 'image', 'lat', 'lng', 'price', 'notes', 'bill_number', 'bill','user_email','seen');

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id', 'id');
    }

    public function city()
    {
        return $this->belongsTo('App\Models\City', 'city_id', 'id');
    }

    public function driver()
    {
        return $this->belongsTo(User::class, 'driver_id', 'id');
    }

    public function payment()
    {
        return $this->belongsTo('App\Models\Payment', 'payment_id', 'id');
    }

    public function bank()
    {
        return $this->belongsTo(Bank::class, 'bank_id', 'id');
    }

    public function order_carts()
    {
        return $this->belongsToMany(Cart::class, 'order_carts','order_id','cart_id');
    }
}
