<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use App\Models\Cart;
use App\Models\Product;
class Properties extends Model
{
    protected $table = 'properties';
    protected $casts = ['name' => 'json'];
    protected $fillable = ['name', 'price', 'parent_id'];

    public function parent()
    {
        return $this->belongsTo(Properties::class, 'parent_id');
    }

    public function childs()
    {
        return $this->hasMany(Properties::class, 'parent_id');
    }

    public function products()
    {
        return $this->belongsToMany(Product::class, 'product_properties', 'property_id', 'product_id');
    }
    public function carts()
    {
        return $this->belongsToMany(Cart::class, 'cart_properties', 'property_id', 'cart_id');
    }
}
