<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Size extends Model
{

    protected $table = 'sizes';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('name', 'price', 'product_id', 'note');
    protected $casts = ['name' => 'json', 'note' => 'json'];

    public function carts()
    {
        return $this->hasMany('App\Models\Cart', 'cart_id', 'id');
    }

    public function product()
    {
        return $this->belongsTo('App\Models\Product', 'product_id', 'id');
    }
}