<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateProductsTable extends Migration {

	public function up()
	{
		Schema::create('products', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->softDeletes();
			$table->json('name');
			$table->integer('category_id')->unsigned();
			$table->string('price', 191)->nullable();
			$table->json('notes');
			$table->enum('type', array('full', 'pieces'));
			$table->enum('status', array('active', 'not_active'));
		});
	}

	public function down()
	{
		Schema::drop('products');
	}
}