@extends('admin.layouts.app')
@section('title',$module_name)
@section('content')
    <div class="content">
        <div class="container">
            <!-- Page-Title -->

            <div class="row">
                <form method="get" action="{{route('filter_invoice')}}" enctype="multipart/form-data">
                    {{csrf_field()}}
                    <div class="col-md-6">
                        إظهار التقارير من
                        <input type="date" name="from" required class="form-control">
                    </div>
                    <div class="col-md-6">
                        إظهار التقارير إلى
                        <input type="date" name="to" required class="form-control">
                    </div>
                    <button type="submit" class="btn btn-success"> بحث </button>
                </form>

            </div>
            <div class="row">
                <div class="col-sm-12">
                    <div class="card-box table-responsive">
                        <table id="datatable-buttons" class="table table-striped table-bordered">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>الإسم</th>
                                <th>نوع العملية</th>
                                <th> القسم</th>
                                <th> الكمية</th>
                                <th> التاريخ</th>
                                <th> الساعة</th>

                                {{--<th>التفاصيل بالعربي</th>--}}
                                {{--<th>التفاصيل بالإنجليزي</th>--}}

                                {{--                                <th> التحكم</th>--}}
                            </tr>
                            </thead>
                            <tbody>
                            <?php

                            $i = 1;

                            ?>
                            @foreach($rows as $row)
                                <tr>
                                    <td>{{$i}}</td>
                                    <td>{{$row->title}}</td>
                                    <td>{{$row->type}}</td>
                                    <td>{{($row->from_table == 'store') ? 'مخزن الحوش' : 'مخزن المحل'}}</td>
                                    <td>{{$row->amount}}</td>
                                    <td>{{\Carbon\Carbon::parse($row->date)->toDateString()}}</td>
                                    <td>{{\Carbon\Carbon::parse($row->date)->format('g:i A')}}</td>


                                    {{--                                    <td class="actions">--}}
                                    {{--                                        <div class="row" style="margin-top: 20px">--}}

                                    {{--                                            <div class="col-md-3">--}}
                                    {{--                                                {!! Form::open(['method' => 'DELETE','data-id'=>$row->id, 'route' => [$route.'.destroy',$row->id], 'style'=>'width:125px','class'=>'delete']) !!}--}}
                                    {{--                                                {!! Form::hidden('id', $row->id) !!}--}}
                                    {{--                                                <button type="button"--}}
                                    {{--                                                        class="btn btn-danger btn-custom waves-effect waves-light"><i--}}
                                    {{--                                                            class="fa fa-trash"></i></button>--}}
                                    {{--                                                {!! Form::close() !!}--}}
                                    {{--                                            </div>--}}

                                    {{--                                            <div class="col-md-3">--}}
                                    {{--                                                <a href="{{route($route.'.edit',$row->id)}}">--}}
                                    {{--                                                    <button type="button"--}}
                                    {{--                                                            class="btn btn-info btn-custom waves-effect waves-light" style="margin-right: 5px"><i--}}
                                    {{--                                                                class="fa fa-edit"></i></button>--}}
                                    {{--                                                </a>--}}
                                    {{--                                            </div>--}}
                                    {{--                                        </div>--}}
                                    {{--                                    </td>--}}
                                </tr>
                                {{$i ++}}
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <!-- end row -->
        </div> <!-- container -->
    </div> <!-- content -->
@stop
@section('script')
    <script type="text/javascript">
        $(document).ready(function () {

            $('#datatable').dataTable();
            $('#datatable-keytable').DataTable({keys: true});
            $('#datatable-responsive').DataTable();
            $('#datatable-colvid').DataTable({
                "dom": 'C<"clear">lfrtip',
                "colVis": {
                    "buttonText": "Change columns"
                }
            });
            $('#datatable-scroller').DataTable({
                ajax: "public/panel/assets/plugins/datatables/json/scroller-demo.json",
                deferRender: true,
                scrollY: 380,
                scrollCollapse: true,
                scroller: true
            });
            var table = $('#datatable-fixed-header').DataTable({fixedHeader: true});
            var table = $('#datatable-fixed-col').DataTable({
                scrollY: "300px",
                scrollX: true,
                scrollCollapse: true,
                paging: false,
                fixedColumns: {
                    leftColumns: 1,
                    rightColumns: 1
                }
            });
        });
        TableManageButtons.init();

    </script>

    <script>
        $(document).on('click', '.delete', function (e) {
            e.preventDefault();
            var id = $(this).data('id');
            swal({
                    title: "هل انت متأكد من الحذف ؟",
                    text: "لن تستطيع استعادة هذا العنصر مرة أخرى!",
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonClass: 'btn-danger',
                    confirmButtonText: 'نعم , قم بالحذف!',
                    cancelButtonText: 'ﻻ , الغى عملية الحذف!',
                    closeOnConfirm: false,
                    closeOnCancel: false
                },
                function (isConfirm) {
                    if (isConfirm) {
                        swal("تم الحذف !", "تم حذف العنصر من قاعدة البيانات!", "success");
                        $("form[data-id='" + id + "']").submit();
                    } else {
                        swal("تم الالغاء", "ما زال العنصر متاح بقاعدة بياناتك :)", "error");
                    }
                });
        });
    </script>

@endsection
