@extends('admin.layouts.app')
@section('title','تفاصيل الطلب')
@section('style')
    <link href="{{asset('panel/assets/plugins/summernote/summernote.css')}}" rel="stylesheet"/>
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.0.47/jquery.fancybox.min.css"/> <!--morooo-->

@stop
@section('content')
    <div class="content">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card-box">
                        <h4 class="m-t-0 header-title botto"><b><i class="icon-pencil before_word"></i>&nbsp;
                                تفاصيل الطلب

                            </b>
                            <hr>
                        </h4>


                        <div class="row text-center head-after">
                            <div class="row" style="text-align: right;">
                                <div class="col-md-12 col-sm-12 col-xs-12" style="margin-bottom: 30px">
                                    <h4>تفاصيل الطلب </h4>

                                    <table id="datatable-buttons" class="table table-striped table-bordered">
                                        <thead>
                                        <tr>
                                            <th>العميل</th>
                                            <th>رقم الجوال</th>
                                            <th>السائق</th>
                                            <th>السعر</th>

                                            <th>حاله الطلب</th>
                                            <!--<th>الوقت المتوقع للوصول</th>-->
                                            <th>تاريخ الطلب</th>
                                            <th>ساعه الطلب</th>
                                            <th>وقت بدا الرحلة</th>
                                            <th>وقت انهاء الرحلة</th>
                                            <th>ملاحظات</th>

                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr>
                                            <td>{{$row->client_name}}</td>
                                            <td>{{$row->mobile}}</td>
                                            <td>
                                                @if($row->driver)
                                                    {{$row->driver->name}}
                                                @else
                                                    لم يخصص بعد
                                                @endif
                                            </td>
                                            <td>
                                                {{$row->price}}
                                            </td>


                                            <td>
                                                @if($row->status == 'pending') فى
                                                الانتظار @elseif($row->status == 'finish') تم
                                                الانتهاء @endif
                                            </td>

                                            <!--<td>-->
                                        <!--    {{$row->expiration_time}}-->
                                            <!--</td>-->
                                            <td>
                                                {{$row->created_at->toDateString()}}
                                            </td>
                                            <td>
                                                {{$row->created_at->format('g:i A')}}
                                            </td>
                                            <td>
                                                @if($row->trip_start)
                                                    {{\Carbon\Carbon::parse($row->trip_start)->format('g:i A')}}
                                                @else
                                                    لم يحدد بعد
                                                @endif
                                            </td>
                                            <td>
                                                @if($row->trip_start)
                                                    {{\Carbon\Carbon::parse($row->trip_end)->format('g:i A')}}
                                                @else
                                                    لم يحدد بعد
                                                @endif
                                            </td>
                                            <td> {{$row->notes ? $row->notes : "لا يوجد ملاحظات"}} </td>

                                        </tr>
                                        </tbody>
                                    </table>

                                </div>


                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    <h4>طريقه الدفع</h4>

                                    <table id="datatable-buttons" class="table table-striped table-bordered">
                                        <thead>
                                        <tr>

                                            <th>طريقه الدفع</th>
                                            {{--                                            <th>اسم البنك</th>--}}
                                            {{--                                            <th>رقم الحساب</th>--}}
                                            {{--                                            <th>صوره التحويل</th>--}}

                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr>

                                            <td>{{$row->payment->name['ar']}}</td>
                                            {{--                                            <td>--}}
                                            {{--                                                @if($row->bank)--}}
                                            {{--                                                    {{$row->bank->bank_name['ar']}}--}}
                                            {{--                                                @else--}}
                                            {{--                                                    لا يوجد--}}
                                            {{--                                                @endif--}}
                                            {{--                                            </td>--}}
                                            {{--                                            <td>--}}
                                            {{--                                                @if($row->bank)--}}
                                            {{--                                                    {{$row->bank->account_number}}--}}
                                            {{--                                                @else--}}
                                            {{--                                                    لا يوجد--}}
                                            {{--                                                @endif--}}
                                            {{--                                            </td>--}}
                                            {{--                                            <td>--}}
                                            {{--                                                @if($row->bank)--}}
                                            {{--                                                <img src="{{asset('images/orders').'/'.$row->image}}"--}}
                                            {{--                                                     style="height: 200px">--}}
                                            {{--                                                    @else--}}
                                            {{--                                                لا يوجد صوره--}}
                                            {{--                                                @endif--}}
                                            {{--                                            </td>--}}

                                        </tr>
                                        </tbody>
                                    </table>

                                </div>


                                  <div class="col-md-12 col-sm-12 col-xs-12">
                                    <h4>الطلبات</h4>


                                    <table id="datatable-buttons" class="table table-striped table-bordered">
                                        <thead>
                                        <tr>

                                            <th>إسم المنتج</th>
                                            <th>الكمية</th>
                                            <th>نوع الكمية</th>
                                            <th>الإضافات</th>
                                            <th>إجمالي سعر المنتج</th>

                                        </tr>
                                        </thead>
                                        <tbody>
                                        @foreach($row->order_carts as $cart)

                                            <tr>

                                                <td>{{$cart->product->name['ar']}}</td>
                                                <td>{{$cart->amount}}</td>
                                                <td>{{$cart->product->amountType->name['ar']}}</td>
                                                <td> @if(count($cart->properties) < 1)

                                                        لا يوجد اضافات
                                                    @else
                                                        <ul>
                                                            @foreach($cart->properties as $property)
                                                                <li>{{$property->name['ar']}} - {{$property->price}}
                                                                    ريال
                                                                </li>


                                                            @endforeach
                                                        </ul>

                                                    @endif</td>
                                                <td>
                                                    {{$cart->price. ' ريال'}}
                                                </td>


                                            </tr>
                                        @endforeach
                                        </tbody>
                                    </table>


                                   
                                </div>


                                {{--</div>--}}


                            </div>


                        </div>

                    </div>
                </div>
                <a href="{{route('print_order',$row->id)}}">
                    <button class="btn btn-success">طباعة</button>
                </a>

            </div>
        </div>
    </div>
@endsection
@section('script')
    <script src="{{asset('panel/assets/plugins/summernote/summernote.min.js')}}"></script>


    {{--<script>--}}
    {{--jQuery(document).ready(function () {--}}
    {{--var id = '{{$row->id}}';--}}
    {{--$.ajax({--}}
    {{--type: "GET",--}}
    {{--url: '{{asset('/showImg')}}' + '/' + id,--}}
    {{--success: function (msg) {--}}
    {{--$('#showImg').html('');--}}
    {{--$('#showImg').html(msg);--}}
    {{--}, error: function (msg) {--}}
    {{--// alert(msg)--}}
    {{--}--}}
    {{--});--}}

    {{--});--}}
    {{--</script>--}}

    <script>
        jQuery(document).ready(function () {
            $('.summernote').summernote({
                height: 350,                 // set editor height
                minHeight: null,             // set minimum height of editor
                maxHeight: null,             // set maximum height of editor
                focus: false                 // set focus to editable area after initializing summernote
            });
            $('.inline-editor').summernote({
                airMode: true
            });
        });
    </script>
    <script>
        $(document).ready(function () {
            // Basic
            $('.dropify').dropify();
            // Translated
            $('.dropify-fr').dropify({
                messages: {
                    default: 'Glissez-déposez un fichier ici ou cliquez',
                    replace: 'Glissez-déposez un fichier ou cliquez pour remplacer',
                    remove: 'Supprimer',
                    error: 'Désolé, le fichier trop volumineux'
                }
            });
            // Used events
            var drEvent = $('#input-file-events').dropify();
            drEvent.on('dropify.beforeClear', function (event, element) {
                return confirm("Do you really want to delete \"" + element.file.name + "\" ?");
            });
            drEvent.on('dropify.afterClear', function (event, element) {
                alert('File deleted');
            });
            drEvent.on('dropify.errors', function (event, element) {
                console.log('Has Errors');
            });
            var drDestroy = $('#input-file-to-destroy').dropify();
            drDestroy = drDestroy.data('dropify')
            $('#toggleDropify').on('click', function (e) {
                e.preventDefault();
                if (drDestroy.isDropified()) {
                    drDestroy.destroy();
                } else {
                    drDestroy.init();
                }
            })
        });
    </script>
@stop