@extends('admin.layouts.app')
@section('title',$module_name)
@section('style')
    <link href="{{asset('panel/assets/plugins/summernote/summernote.css')}}" rel="stylesheet"/>
    <!--morooo-->
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css"
          integrity="sha384-5sAR7xN1Nv6T6+dT2mhtzEpVJvfS3NScPQTrOxhwjIuvcA67KV2R5Jz6kr4abQsz"
          crossorigin="anonymous"><!--morooo-->
@stop
@section('content')
    <div class="content">
        <div class="container">

            <div class="col-lg-12">

                <div class="row">
                    <div class="card-box">
                        <h4 class="m-t-0 header-title"><b><i class="icon-pencil before_word"></i>&nbsp;
                                إنشاء منتج جديد </b>
                            <hr>
                        </h4>
                        {!! Form::open(['method'=>'post', 'files'=>true, 'enctype' => 'multipart/form-data', 'route'=>[$route.'.store'], 'class' => 'form-row-seperated add_ads_form']) !!}
                        <div class="row">
                            <div class="col-md-12">
                                <div class="row">
                                    <hr>
                                    @php
                                        $type = ['full' => 'كامل', 'pieces' => 'قطع']
                                    @endphp
                                    @foreach($json_fields as $key=>$value)
                                        @foreach($language as $L_key=>$L_value)
                                            @if($value == 'notes')
                                                <div class="form-group col-md-6">

                                                    <label for="privialges">{{$key.$L_key}}</label>
                                                    <textarea class="form-control"
                                                              name="{{$value.'_'.$L_value}}" cols="50"
                                                              required
                                                              rows="10"></textarea>
                                                    @if ($errors->has($value.'_'.$L_value))
                                                        <small class="text-danger">{{ $errors->first($value.'_'.$L_value) }}</small>
                                                    @endif
                                                </div>
                                            @else
                                                <div class="form-group col-md-6">
                                                    <label for="privialges">{{$key.$L_key}}</label>
                                                    <input type="text" name="{{$value.'_'.$L_value}}"
                                                           placeholder="{{$key.$L_key}}" class="form-control"
                                                           required>
                                                    @if ($errors->has($value.'_'.$L_value))
                                                        <small class="text-danger">{{ $errors->first($value.'_'.$L_value) }}</small>
                                                    @endif
                                                </div>
                                            @endif
                                        @endforeach
                                    @endforeach
                                    <div class="form-group col-md-6">
                                        <label for="privialges">السعر</label>
                                        <input type="text" name="price"
                                               placeholder="السعر" class="form-control"
                                               required>
                                        @if ($errors->has('price'))
                                            <small class="text-danger">{{ $errors->first('price') }}</small>
                                        @endif
                                    </div>

                                    <div class="form-group col-md-6">
                                        <label class="control-label">نوع الإدخال</label>

                                        <select class="form-control select2 " name="amount_id">
                                            @foreach(\App\Models\AmountType::all() as $amount)
                                                <option value="{{$amount->id}}">{{$amount->name['ar']}}</option>
                                            @endforeach
                                        </select>
                                        @if ($errors->has('amount_id'))
                                            <small class="text-danger">{{ $errors->first('amount_id') }}</small>
                                        @endif
                                    </div>

                                    <div class="form-group col-md-6">
                                        <label class="control-label">الإضافات</label>

                                        @foreach($properties as $property)
                                            <p style="font-size: large;font-family: Cairo ; color: red">{{$property->name['ar']}}</p>
                                            <br>
                                            @foreach($property->childs as $child)

                                                <input type="checkbox" name="properties[]"
                                                       @if(count($child->childs) > 0)   style="font-size: large;margin-right: 15px"
                                                       @endif               value="{{$child->id}}"> {{$child->name['ar']}}
                                                - {{$child->price}}  ريال<br><br>


                                                @if(count($child->childs) > 0)

                                                    @foreach($child->childs as $small_child)

                                                        <input type="checkbox" name="properties[]"
                                                               style="margin-right: 35px"
                                                               value="{{$small_child->id}}"> {{$small_child->name['ar']}}
                                                        - {{$small_child->price}}  ريال<br>


                                                        @if(count($small_child->childs) >0)
                                                            @foreach($small_child->childs as $little_child)
                                                                <input type="checkbox" name="properties[]"
                                                                       style="margin-right: 45px"
                                                                       value="{{$little_child->id}}"> {{$little_child->name['ar']}}
                                                                - {{$small_child->price}}  ريال<br><br><br>
                                                            @endforeach

                                                        @endif

                                                    @endforeach

                                                @endif
                                            @endforeach


                                        @endforeach
                                    </div>

                                    <div class="form-group col-md-6">
                                        <label for="privialges">المتاح</label>
                                        <input type="text" name="amount"
                                               placeholder="المتاح" class="form-control"
                                               required>
                                        @if ($errors->has('amount'))
                                            <small class="text-danger">{{ $errors->first('amount') }}</small>
                                        @endif
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label class="control-label">التصنيف</label>
                                        {{ Form::select('category_id', $category, null, array('class' => 'form-control select2 ','tabindex'=>-1,'aria-hidden'=>true, 'required')) }}
                                        @if ($errors->has('category_id'))
                                            <small class="text-danger">{{ $errors->first('category_id') }}</small>
                                        @endif
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label class="control-label">النوع</label>
                                        {{ Form::select('type', $type, null, array('class' => 'form-control select2 ','tabindex'=>-1,'aria-hidden'=>true, 'required')) }}
                                        @if ($errors->has('type'))
                                            <small class="text-danger">{{ $errors->first('type') }}</small>
                                        @endif
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label class="control-label">الحالة</label>
                                        {{ Form::select('status', $status, null, array('class' => 'form-control select2 ','tabindex'=>-1,'aria-hidden'=>true, 'required')) }}
                                        @if ($errors->has('status'))
                                            <small class="text-danger">{{ $errors->first('status') }}</small>
                                        @endif
                                    </div>
                                    <div class="col-md-12">
                                        <div class="white-box">
                                            <label for="input-file-now-custom-1">صور المنتجات</label>
                                            <input name="image[]" multiple type="file" required
                                                   id="input-file-now-custom-1"
                                                   class="dropify"
                                                   data-default-file="{{asset('images/user/default.png')}}"/>
                                            @if ($errors->has('image'))
                                                <small class="text-danger">{{ $errors->first('image') }}</small>
                                            @endif
                                        </div>
                                    </div>
                                </div>


                                <div class="row-buttons">


                                    <div class="form-group ree-locat">
                                        <div class="control-label col-md-push-1">
                                            <button type="submit"
                                                    class="update_button btn btn-success btn-rounded waves-effect waves-light">
                                                إنشاء
                                            </button>
                                        </div>
                                    </div>

                                </div>
                            </div>
                            {!! Form::close() !!}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')

    <script type="text/javascript">
        $(document).ready(function () {
            for (var i = 1; i < 21; i++) {
                $.each([i], function (a, l) {
                    console.log(l)
                    var max_fields = 20; //maximum input boxes allowed
                    var wrapper = $(".input_fields_wrap" + l); //Fields wrapper
                    var add_button = $(".add_field_button" + l); //Add button ID


                    var x = 1; //initlal text box count
                    $(add_button).click(function (e) { //on add input button click
                        e.preventDefault();
                        if (x < max_fields) { //max input box allowed
                            x++; //text box increment
                            if (l === 1) {
                                $(wrapper).append('<div><input type="text" name="deadlines[]" value=""/><a href="#" class="remove_field"><!--morooo--><i class="fas fa-trash-alt delete-trash"></i><!--morooo--></a></div>'); //add input box
                            } else if (l === 2) {
                                $(wrapper).append('<div><input type="text" name="main_prices[]"/><a href="#" class="remove_field"><!--morooo--><i class="fas fa-trash-alt delete-trash"></i><!--morooo--></a></div>'); //add input box
                            } else if (l === 3) {
                                $(wrapper).append('<div><input type="text" name="sub_prices[]"/><a href="#" class="remove_field"><!--morooo--><i class="fas fa-trash-alt delete-trash"></i><!--morooo--></a></div>'); //add input box
                            } else if (l === 4) {
                                $(wrapper).append('<div><input type="text" name="sizes[]"/><a href="#" class="remove_field"><!--morooo--><i class="fas fa-trash-alt delete-trash"></i><!--morooo--></a></div>'); //add input box
                            }
                        }
                    });

                    $(wrapper).on("click", ".remove_field", function (e) { //user click on remove text
                        e.preventDefault();
                        $(this).parent('div').remove();
                        x--;
                    })
                });
            }
        });
    </script>
    <script>
        $(document).ready(function () {
            // Basic
            $('.dropify').dropify();
            // Translated
            $('.dropify-fr').dropify({
                messages: {
                    default: 'Glissez-déposez un fichier ici ou cliquez',
                    replace: 'Glissez-déposez un fichier ou cliquez pour remplacer',
                    remove: 'Supprimer',
                    error: 'Désolé, le fichier trop volumineux'
                }
            });
            // Used events
            var drEvent = $('#input-file-events').dropify();
            drEvent.on('dropify.beforeClear', function (event, element) {
                return confirm("Do you really want to delete \"" + element.file.name + "\" ?");
            });
            drEvent.on('dropify.afterClear', function (event, element) {
                alert('File deleted');
            });
            drEvent.on('dropify.errors', function (event, element) {
                console.log('Has Errors');
            });
            var drDestroy = $('#input-file-to-destroy').dropify();
            drDestroy = drDestroy.data('dropify')
            $('#toggleDropify').on('click', function (e) {
                e.preventDefault();
                if (drDestroy.isDropified()) {
                    drDestroy.destroy();
                } else {
                    drDestroy.init();
                }
            })
        });
    </script>
    <script src="{{asset('panel/assets/plugins/summernote/summernote.min.js')}}"></script>
    <script>
        jQuery(document).ready(function () {
            $('.summernote').summernote({
                height: 350,                 // set editor height
                minHeight: null,             // set minimum height of editor
                maxHeight: null,             // set maximum height of editor
                focus: false                 // set focus to editable area after initializing summernote
            });
            $('.inline-editor').summernote({
                airMode: true
            });
        });
    </script>


@stop