@extends('admin.layouts.app')
@section('title',$module_name)
@section('content')
    <div class="content">
        <div class="container">
            <!-- Page-Title -->
            <div class="row">
                <div class="col-sm-12">
                    {{--@if($errors->has())--}}
                    {{--@foreach ($errors->all() as $error)--}}
                    {{--<div>{{ $error }}</div>--}}
                    {{--@endforeach--}}
                    {{--@endif--}}
                    @php

                        $type = ['income'=>'واردات', 'export'=>'صادرات'];

                    @endphp
                    <div class="card-box table-responsive">
                        {!! Form::open(['method'=>'post', 'route'=>['search_in'], 'class' => 'form-row-seperated add_ads_form']) !!}
                        <div class="col-md-12" style="margin-bottom: 30px">
                            <label class="control-label">النوع</label>
                            {{ Form::select('type', $type, null, array('class' => 'form-control select2 ','tabindex'=>-1,'aria-hidden'=>true, 'required')) }}
                            @if ($errors->has('type'))
                                <small class="text-danger">{{ $errors->first('type') }}</small>
                            @endif
                        </div>
                        <div class="col-md-12" style="margin-bottom: 30px">
                            <label class="control-label">من</label>
                            <input type="date" name="from" class="form-control">

                            @if ($errors->has('from'))
                                <small class="text-danger">{{ $errors->first('from') }}</small>
                            @endif
                        </div>
                        <div class="col-md-12" style="margin-bottom: 30px">
                            <label class="control-label">الي</label>
                            <input type="date" name="to" class="form-control">

                            @if ($errors->has('to'))
                                <small class="text-danger">{{ $errors->first('to') }}</small>
                            @endif
                        </div>

                        <div class="form-group ree-locat">
                            <div class="control-label col-md-push-1">
                                <button type="submit"
                                        class="update_button btn btn-success btn-rounded waves-effect waves-light">
                                    بحث
                                </button>
                            </div>
                        </div>

                        {!! Form::close() !!}

                        @if(!empty($results))
                            <table class="table table-striped table-bordered">
                                <thead>
                                <tr>
                                    <th>تابع الى</th>
                                    <th>السعر</th>
                                    {{--<th> الحالة </th>--}}
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($results as $row)
                                    <tr>
                                        <th>{{$row->Expense->name}}</th>
                                        <th>{{$row->price}}</th>

                                        {{--<th> {!! $row->activate() !!} </th>--}}

                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        @endif
                    </div>
                </div>
            </div>
            <!-- end row -->
        </div> <!-- container -->
    </div> <!-- content -->
@stop
@section('script')
    <script type="text/javascript">
        $(document).ready(function () {

            $('#datatable').dataTable();
            $('#datatable-keytable').DataTable({keys: true});
            $('#datatable-responsive').DataTable();
            $('#datatable-colvid').DataTable({
                "dom": 'C<"clear">lfrtip',
                "colVis": {
                    "buttonText": "Change columns"
                }
            });
            $('#datatable-scroller').DataTable({
                ajax: "public/panel/assets/plugins/datatables/json/scroller-demo.json",
                deferRender: true,
                scrollY: 380,
                scrollCollapse: true,
                scroller: true
            });
            var table = $('#datatable-fixed-header').DataTable({fixedHeader: true});
            var table = $('#datatable-fixed-col').DataTable({
                scrollY: "300px",
                scrollX: true,
                scrollCollapse: true,
                paging: false,
                fixedColumns: {
                    leftColumns: 1,
                    rightColumns: 1
                }
            });
        });
        TableManageButtons.init();

    </script>

    <script>
        $(document).on('click', '.delete', function (e) {
            e.preventDefault();
            var id = $(this).data('id');
            swal({
                    title: "هل انت متأكد من الحذف ؟",
                    text: "لن تستطيع استعادة هذا العنصر مرة أخرى!",
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonClass: 'btn-danger',
                    confirmButtonText: 'نعم , قم بالحذف!',
                    cancelButtonText: 'ﻻ , الغى عملية الحذف!',
                    closeOnConfirm: false,
                    closeOnCancel: false
                },
                function (isConfirm) {
                    if (isConfirm) {
                        swal("تم الحذف !", "تم حذف العنصر من قاعدة البيانات!", "success");
                        $("form[data-id='" + id + "']").submit();
                    } else {
                        swal("تم الالغاء", "ما زال العنصر متاح بقاعدة بياناتك :)", "error");
                    }
                });
        });
    </script>

@endsection
