@extends('admin.layouts.app')
@section('title',$module_name)
@section('style')
    <link href="{{asset('panel/assets/plugins/summernote/summernote.css')}}" rel="stylesheet"/>
    <!--morooo-->
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css"
          integrity="sha384-5sAR7xN1Nv6T6+dT2mhtzEpVJvfS3NScPQTrOxhwjIuvcA67KV2R5Jz6kr4abQsz"
          crossorigin="anonymous"><!--morooo-->
@stop
@section('content')
    <div class="content">
        <div class="container">

            <div class="col-lg-12">

                <div class="row">
                    <div class="card-box">
                        <h4 class="m-t-0 header-title"><b><i class="icon-pencil before_word"></i>&nbsp;
                                تعديل بيانات {{ $module_name }}
                            </b>
                            <hr>
                        </h4>
                        {!! Form::model($row, ['method'=>'patch','name'=>'update', 'files'=>true, 'route'=>[$route.'.update_setting', $row->id], 'class' => 'form-horizontal form-row-seperated']) !!}
                        {!! Form::hidden('id', $row->id) !!}
                        <div class="row">
                            <div class="col-md-12">
                                <div class="row">

                                    <hr>

                                    @foreach($json_fields as $key=>$value)
                                        @foreach($language as $L_key=>$L_value)
                                            <div>
                                                <div>
                                                    <label for="privialges">{{$key.$L_key}}</label>
                                                    <textarea class="form-control"
                                                              name="{{$value.'_'.$L_value}}" cols="50"
                                                              required rows="10">{{$row->$value[$L_value]}}</textarea>
                                                </div>
                                                <hr>
                                            </div>
                                        @endforeach
                                    @endforeach
                                    <hr>

                                </div>
                                <label>وسائل التواصل</label>
                                <div class='row'>


                                    <div class="col-md-6 col-sm-6 col-xs-12" style="margin-top:20px;">
                                        <label for="whatsapp">الواتس آب </label>
                                        <input type=text" name="whatsapp" placeholder="الواتس آب "
                                               value="{{$row->socials['whatsapp']}}"
                                               class="form-control">
                                    </div>


                                    <div class="col-md-6 col-sm-6 col-xs-12" style="margin-top:20px;">
                                        <label for="twitter">رابط اسناب </label>
                                        <input type=text" name="snap" placeholder="رابط اسناب  "
                                               value="{{$row->socials['snap']}}"
                                               class="form-control">
                                    </div>

                                    <div class="col-md-6 col-sm-6 col-xs-12" style="margin-top:20px;">
                                        <label for="twitter">رابط تويتر </label>
                                        <input type=text" name="twitter" placeholder="رابط تويتر  "
                                               value="{{$row->socials['twitter']}}"
                                               class="form-control">
                                    </div>
                                    <div class="col-md-6 col-sm-6 col-xs-12" style="margin-top:20px;">
                                        <label for="snap_chat">رابط إنستجرام</label>
                                        <input type=text" name="insta" placeholder="رابط انستجرام  "
                                               value="{{$row->socials['insta']}}"
                                               class="form-control">
                                    </div>

                                </div>
                                <div class="card-box">
                                    <h4 class="m-t-0 m-b-20 header-title"><b>موقعك</b></h4>
                                    <div id="map" class="map" style=" width: 100%;
   height: 400px;
   background-color: grey;"></div>
                                    <input name="lat" type="hidden" value="{{$row->location['lat']}}" id="lat"
                                           readonly="yes"><br>
                                    <input name="lng" type="hidden" value="{{$row->location['lng']}}" id="lng"
                                           readonly="yes">
                                </div>

                                <div class="row-buttons">


                                    <div class="form-group ree-locat">
                                        <div class="control-label col-md-push-1">
                                            <button type="submit"
                                                    class="update_button btn btn-success btn-rounded waves-effect waves-light">
                                                تعديل
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            {!! Form::close() !!}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')

    <script type="text/javascript">
        $(document).ready(function () {
            for (var i = 1; i < 21; i++) {
                $.each([i], function (a, l) {
                    console.log(l)
                    var max_fields = 20; //maximum input boxes allowed
                    var wrapper = $(".input_fields_wrap" + l); //Fields wrapper
                    var add_button = $(".add_field_button" + l); //Add button ID


                    var x = 1; //initlal text box count
                    $(add_button).click(function (e) { //on add input button click
                        e.preventDefault();
                        if (x < max_fields) { //max input box allowed
                            x++; //text box increment
                            if (l === 1) {
                                $(wrapper).append('<div><input type="text" name="deadlines[]" value=""/><a href="#" class="remove_field"><!--morooo--><i class="fas fa-trash-alt delete-trash"></i><!--morooo--></a></div>'); //add input box
                            } else if (l === 2) {
                                $(wrapper).append('<div><input type="text" name="main_prices[]"/><a href="#" class="remove_field"><!--morooo--><i class="fas fa-trash-alt delete-trash"></i><!--morooo--></a></div>'); //add input box
                            } else if (l === 3) {
                                $(wrapper).append('<div><input type="text" name="sub_prices[]"/><a href="#" class="remove_field"><!--morooo--><i class="fas fa-trash-alt delete-trash"></i><!--morooo--></a></div>'); //add input box
                            } else if (l === 4) {
                                $(wrapper).append('<div><input type="text" name="sizes[]"/><a href="#" class="remove_field"><!--morooo--><i class="fas fa-trash-alt delete-trash"></i><!--morooo--></a></div>'); //add input box
                            }
                        }
                    });

                    $(wrapper).on("click", ".remove_field", function (e) { //user click on remove text
                        e.preventDefault();
                        $(this).parent('div').remove();
                        x--;
                    })
                });
            }
        });
    </script>
    <script>
        $(document).ready(function () {
            // Basic
            $('.dropify').dropify();
            // Translated
            $('.dropify-fr').dropify({
                messages: {
                    default: 'Glissez-déposez un fichier ici ou cliquez',
                    replace: 'Glissez-déposez un fichier ou cliquez pour remplacer',
                    remove: 'Supprimer',
                    error: 'Désolé, le fichier trop volumineux'
                }
            });
            // Used events
            var drEvent = $('#input-file-events').dropify();
            drEvent.on('dropify.beforeClear', function (event, element) {
                return confirm("Do you really want to delete \"" + element.file.name + "\" ?");
            });
            drEvent.on('dropify.afterClear', function (event, element) {
                alert('File deleted');
            });
            drEvent.on('dropify.errors', function (event, element) {
                console.log('Has Errors');
            });
            var drDestroy = $('#input-file-to-destroy').dropify();
            drDestroy = drDestroy.data('dropify')
            $('#toggleDropify').on('click', function (e) {
                e.preventDefault();
                if (drDestroy.isDropified()) {
                    drDestroy.destroy();
                } else {
                    drDestroy.init();
                }
            })
        });
    </script>
    <script src="{{asset('panel/assets/plugins/summernote/summernote.min.js')}}"></script>
    <script>
        jQuery(document).ready(function () {
            $('.summernote').summernote({
                height: 350,                 // set editor height
                minHeight: null,             // set minimum height of editor
                maxHeight: null,             // set maximum height of editor
                focus: false                 // set focus to editable area after initializing summernote
            });
            $('.inline-editor').summernote({
                airMode: true
            });
        });
    </script>
    <script>
        //Set up some of our variables.
        var map; //Will contain map object.
        var marker = false; ////Has the user plotted their location marker?
        //Function called to initialize / create the map.
        //This is called when the page has loaded.
        function initMap() {
            //The center location of our map.
            var centerOfMap = new google.maps.LatLng(24.665658, 46.7440368);
            //Map options.
            var options = {
                center: centerOfMap, //Set center.
                zoom: 14 //The zoom value.
            };
            //Create the map object.
            map = new google.maps.Map(document.getElementById('map'), options);
            //Listen for any clicks on the map.
            google.maps.event.addListener(map, 'click', function (event) {
                //Get the location that the user clicked.
                var clickedLocation = event.latLng;
                //If the marker hasn't been added.
                if (marker === false) {
                    //Create the marker.
                    marker = new google.maps.Marker({
                        position: clickedLocation,
                        map: map,
                        draggable: true //make it draggable
                    });
                    //Listen for drag events!
                    google.maps.event.addListener(marker, 'dragend', function (event) {
                        markerLocation();
                    });
                } else {
                    //Marker has already been added, so just change its location.
                    marker.setPosition(clickedLocation);
                }
                //Get the marker's location.
                markerLocation();
            });
        }

        //This function will get the marker's current location and then add the lat/long
        //values to our textfields so that we can save the location.
        function markerLocation() {
            //Get location.
            var currentLocation = marker.getPosition();
            //Add lat and lng values to a field that we can save.
            document.getElementById('lat').value = currentLocation.lat(); //latitude
            document.getElementById('lng').value = currentLocation.lng(); //longitude
        }

        google.maps.event.addDomListener(window, 'load', initMap);
    </script>

    <script async defer
            src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBKhmEeCCFWkzxpDjA7QKjDu4zdLLoqYVw&callback=initMap">
    </script>
@stop