@extends('admin.layouts.app')
@section('title',$module_name)
@section('content')
    <div class="content">
        <div class="container">
            <!-- Page-Title -->
            <div class="row">
                <div class="col-sm-12">
                    <div class="card-box table-responsive">
                        @if(Session::has('error'))
                            <div class="alert alert-danger">
                                {{Session::get('error')}}
                            </div>
                        @endif
                        <table id="datatable-buttons" class="table table-striped table-bordered">
                            <thead>
                            <tr>
                                <th>الإسم بالعربي</th>
                                <th>الكمية المتاحة</th>
                                <th> التحكم</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($rows as $row)
                                <tr>
                                    <td>{{$row->name}}</td>
                                    <td>{{$row->count}}</td>

                                    <td class="actions">
                                        <div class="row" style="margin-top: 20px">

                                            <div class="col-md-3">
                                                {!! Form::open(['method' => 'DELETE','data-id'=>$row->id, 'route' => [$route.'.destroy',$row->id], 'style'=>'width:125px','class'=>'delete']) !!}
                                                {!! Form::hidden('id', $row->id) !!}
                                                <button type="button"
                                                        class="btn btn-danger btn-custom waves-effect waves-light"><i
                                                            class="fa fa-trash"></i></button>
                                                {!! Form::close() !!}
                                            </div>

                                            <div class="col-md-3">
                                                <a href="{{route($route.'.edit',$row->id)}}">
                                                    <button type="button"
                                                            class="btn btn-info btn-custom waves-effect waves-light"
                                                            style="margin-right: 5px"><i
                                                                class="fa fa-edit"></i></button>
                                                </a>
                                            </div>
                                            <div class="col-md-3">
                                                <button type="button" class="btn btn-primary" data-toggle="modal"
                                                        data-target="#addAmount{{$row->id}}">
                                                    إضافة
                                                </button>


                                                <div class="modal fade" id="addAmount{{$row->id}}" tabindex="-1"
                                                     role="dialog" aria-labelledby="exampleModalLabel"
                                                     aria-hidden="true">
                                                    <div class="modal-dialog" role="document">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title" id="exampleModalLabel">إضافة عدد
                                                                    جديد</h5>
                                                                <button type="button" class="close" data-dismiss="modal"
                                                                        aria-label="Close">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <form action="{{route('increase_store')}}" method="post" enctype="multipart/form-data">
                                                                {{csrf_field()}}
                                                                <input type="hidden" name="row_id" value="{{$row->id}}">
                                                                <div class="modal-body">
                                                                    <div class="col-md-12 form-group">
                                                                        <label for="title">العدد</label>
                                                                        {{--{!! Form::text($fields, null, ['class'=>'form-control','placeholder'=>$labels]) !!}--}}
                                                                        <input type="number" name="count"
                                                                               min="0"       class="form-control" placeholder="الكمية" required>
                                                                    </div>
                                                                </div>
                                                                <br>
                                                                <br>
                                                                <div class="modal-footer">
                                                                    <button type="button" class="btn btn-secondary"
                                                                            data-dismiss="modal">الغاء
                                                                    </button>
                                                                    <button type="submit" class="btn btn-primary">حفظ
                                                                    </button>
                                                                </div>
                                                            </form>

                                                        </div>
                                                    </div>
                                                </div>

                                                <button type="button" class="btn btn-success" data-toggle="modal"
                                                        data-target="#reduceAmount{{$row->id}}">
                                                    سحب
                                                </button>


                                                <div class="modal fade" id="reduceAmount{{$row->id}}" tabindex="-1"
                                                     role="dialog" aria-labelledby="exampleModalLabel"
                                                     aria-hidden="true">
                                                    <div class="modal-dialog" role="document">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title" id="exampleModalLabel">سحب
                                                                    جديد</h5>
                                                                <button type="button" class="close" data-dismiss="modal"
                                                                        aria-label="Close">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <form action="{{route('decrease_store')}}" method="post" enctype="multipart/form-data">
                                                                {{csrf_field()}}
                                                                <input type="hidden" name="row_id" value="{{$row->id}}">
                                                                <div class="modal-body">
                                                                    <div class="col-md-12 form-group">
                                                                        <label for="title">العدد</label>
                                                                        {{--{!! Form::text($fields, null, ['class'=>'form-control','placeholder'=>$labels]) !!}--}}
                                                                        <input type="number" name="count"
                                                                               min="0"       class="form-control" placeholder="الكمية" required>
                                                                    </div>
                                                                </div>
                                                                <br>
                                                                <br>
                                                                <div class="modal-footer">
                                                                    <button type="button" class="btn btn-secondary"
                                                                            data-dismiss="modal">الغاء
                                                                    </button>
                                                                    <button type="submit" class="btn btn-primary">حفظ
                                                                    </button>
                                                                </div>
                                                            </form>

                                                        </div>
                                                    </div>
                                                </div>



                                            </div>
                                        </div>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <!-- end row -->
        </div> <!-- container -->
    </div> <!-- content -->
@stop
@section('script')
    <script type="text/javascript">
        $(document).ready(function () {

            $('#datatable').dataTable();
            $('#datatable-keytable').DataTable({keys: true});
            $('#datatable-responsive').DataTable();
            $('#datatable-colvid').DataTable({
                "dom": 'C<"clear">lfrtip',
                "colVis": {
                    "buttonText": "Change columns"
                }
            });
            $('#datatable-scroller').DataTable({
                ajax: "public/panel/assets/plugins/datatables/json/scroller-demo.json",
                deferRender: true,
                scrollY: 380,
                scrollCollapse: true,
                scroller: true
            });
            var table = $('#datatable-fixed-header').DataTable({fixedHeader: true});
            var table = $('#datatable-fixed-col').DataTable({
                scrollY: "300px",
                scrollX: true,
                scrollCollapse: true,
                paging: false,
                fixedColumns: {
                    leftColumns: 1,
                    rightColumns: 1
                }
            });
        });
        TableManageButtons.init();

    </script>

    <script>
        $(document).on('click', '.delete', function (e) {
            e.preventDefault();
            var id = $(this).data('id');
            swal({
                    title: "هل انت متأكد من الحذف ؟",
                    text: "لن تستطيع استعادة هذا العنصر مرة أخرى!",
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonClass: 'btn-danger',
                    confirmButtonText: 'نعم , قم بالحذف!',
                    cancelButtonText: 'ﻻ , الغى عملية الحذف!',
                    closeOnConfirm: false,
                    closeOnCancel: false
                },
                function (isConfirm) {
                    if (isConfirm) {
                        swal("تم الحذف !", "تم حذف العنصر من قاعدة البيانات!", "success");
                        $("form[data-id='" + id + "']").submit();
                    } else {
                        swal("تم الالغاء", "ما زال العنصر متاح بقاعدة بياناتك :)", "error");
                    }
                });
        });
    </script>

@endsection
