@extends('admin.layouts.app')
@section('title',$module_name)
@section('style')
    <link href="{{asset('panel/assets/plugins/summernote/summernote.css')}}" rel="stylesheet"/>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.0.47/jquery.fancybox.min.css" /> <!--morooo-->

@stop
@section('content')
    <div class="content">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card-box">
                        <h4 class="m-t-0 header-title botto"><b><i class="icon-pencil before_word"></i>&nbsp;
                                تفاصيل خدمة {{$row->title}}

                            </b>
                            <hr>
                        </h4>

                        <div class="row text-center head-after">
                            <div class="row">
                                <div class="col-md-2 col-sm-4 col-xs-12">
                                    <h4>صاحب الخدمه </h4>
                                    <p>{{$row->user->username}}</p>
                                </div>
                                <div class="col-md-2 col-sm-4 col-xs-12">
                                    <h4>القسم التابه له </h4>
                                    <p>{{$row->category->name}}</p>
                                </div>
                                <div class="col-md-2 col-sm-4 col-xs-12">
                                    <h4>سعر الخدمه</h4>
                                    <p>{{$row->price}}</p>
                                </div>
                                <div class="col-md-2 col-sm-4 col-xs-12">
                                    <h4>مدة التسليم</h4>
                                    <p>{{$row->deadline}}</p>
                                </div>
                                <div class="col-md-2 col-sm-4 col-xs-12">
                                    <h4>عدد الطلبات</h4>
                                    <p>{{$row->order_count}}</p>
                                </div>
                                <div class="col-md-2 col-sm-4 col-xs-12">
                                    <h4>التقيم</h4>
                                    <p>{{$row->rateAvg()}}</p>
                                </div>
                            </div>





                            <div class="row">
                                <div class="col-md-6 col-sm-6 col-xs-12 heado">

                                    <h4>تفاصيل الخدمة</h4>

                                    <p>{{$row->note}}</p>

                                </div>
                                <div class="col-md-6 col-sm-6 col-xs-12 heado">

                                    <h4>تعليمات للمشترك</h4>

                                    <p>{{$row->roles}}</p>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <h4 class="super-heado">صور الخدمة</h4>
                                <div class="row">
                                    <div class="img-row">

                                        <div class="col-md-6">
                                            @if($row->images_links && $row->images)
                                                @foreach($row->images_links as $image_link)
                                                    <a  data-fancybox="gallery" href="{{$image_link}}">
                                                        <img src="{{$image_link}}">
                                                    </a>
                                                @endforeach
                                        </div>

                                        <div class="col-md-6">
                                            @foreach($row->images as $image)

                                                <a  data-fancybox="gallery" href="{{$image}}">
                                                    <img src="{{$image}}">
                                                </a>

                                            @endforeach
                                        </div>
                                        @else
                                            <div class="col-md-12">
                                                <p>لايوجد صور</p>
                                            </div>
                                        @endif





                                    </div>
                                </div>
                            </div>

                            <div class="col-md-12">
                                <h4 class="supo">فديوهات الخدمة</h4>
                                <div class="row">
                                    <div class="iframo">
                                        @if($row->videos )
                                            @foreach($row->videos as $video)
                                                <div class="col-md-12">
                                                    <iframe src="https://www.youtube.com/embed/{{$video}}"></iframe>
                                                </div>
                                            @endforeach

                                        @else
                                            <div class="col-md-12">
                                                <p>لايوجد فديوهات</p>
                                            </div>
                                        @endif
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                @if($sub_services)

                                    <div class="card-box table-responsive">
                                        <h4 class="faro">الخدمات الفرعية</h4>

                                        <table id="datatable-buttons" class="table table-striped table-bordered">
                                            <thead>
                                            <tr>
                                                <th>الخدمة</th>
                                                <th>السعر</th>
                                                <th>مدة التسليم</th>
                                            </tr>
                                            </thead>

                                            <tbody>
                                            @foreach($sub_services as $sub_service)
                                                <tr>
                                                    <td>{{$sub_service->title}}</td>
                                                    <td>{{$sub_service->price}}</td>
                                                    @if($sub_service->deadline)
                                                        <td>{{$sub_service->deadline}}</td>
                                                    @else
                                                        <td>0</td>
                                                    @endif
                                                </tr>
                                            @endforeach

                                            </tbody>
                                        </table>
                                    </div>
                                @else
                                    <p>لا يوجد</p>
                                @endif
                            </div>

                        </div>


                        {{--<div class="form-group">--}}
                        {{--<div class="control-label col-md-push-1">--}}
                        {{--<button type="submit" class="update_button btn btn-success btn-rounded waves-effect waves-light">--}}
                        {{--تعديل--}}
                        {{--</button>--}}
                        {{--</div>--}}
                        {{--</div>--}}

                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script src="//code.jquery.com/jquery-3.3.1.min.js"></script><!--morooo-->
    <script src="{{asset('panel/assets/plugins/summernote/summernote.min.js')}}"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.0.47/jquery.fancybox.min.js"></script><!--morooo-->


    <script>
        jQuery(document).ready(function () {
            var id = '{{$row->id}}';
            $.ajax({
                type: "GET",
                url: '{{asset('/showImg')}}' + '/' + id,
                success: function (msg) {
                    $('#showImg').html('');
                    $('#showImg').html(msg);
                }, error: function (msg) {
                    // alert(msg)
                }
            });

        });
    </script>

    <script>
        jQuery(document).ready(function () {
            $('.summernote').summernote({
                height: 350,                 // set editor height
                minHeight: null,             // set minimum height of editor
                maxHeight: null,             // set maximum height of editor
                focus: false                 // set focus to editable area after initializing summernote
            });
            $('.inline-editor').summernote({
                airMode: true
            });
        });
    </script>
    <script>
        $(document).ready(function () {
            // Basic
            $('.dropify').dropify();
            // Translated
            $('.dropify-fr').dropify({
                messages: {
                    default: 'Glissez-déposez un fichier ici ou cliquez',
                    replace: 'Glissez-déposez un fichier ou cliquez pour remplacer',
                    remove: 'Supprimer',
                    error: 'Désolé, le fichier trop volumineux'
                }
            });
            // Used events
            var drEvent = $('#input-file-events').dropify();
            drEvent.on('dropify.beforeClear', function (event, element) {
                return confirm("Do you really want to delete \"" + element.file.name + "\" ?");
            });
            drEvent.on('dropify.afterClear', function (event, element) {
                alert('File deleted');
            });
            drEvent.on('dropify.errors', function (event, element) {
                console.log('Has Errors');
            });
            var drDestroy = $('#input-file-to-destroy').dropify();
            drDestroy = drDestroy.data('dropify')
            $('#toggleDropify').on('click', function (e) {
                e.preventDefault();
                if (drDestroy.isDropified()) {
                    drDestroy.destroy();
                } else {
                    drDestroy.init();
                }
            })
        });
    </script>
@stop