@extends('web.layout.master')
@section('content')

@section('slider')
    <div id="meat-slider" class="owl-carousel owl-theme">

        <!--single-item--->
        @if(count($sliders)>0)
            @foreach($sliders as $slider)
            <div class="item">
                <img src="{{$slider->getImageUrlAttribute()}}">
            </div>

            @endforeach
        @else
            <div class="item">
                <img src="{{asset('web/images/meat.png')}}">
            </div>

    @endif
            <!--single-item--->


    </div>
@stop

<section class="cat section-padding">
    <div class="container">
        <h3>
            @lang('data.categories')
        </h3>
        <div class="row">



            <!----single-item--->
            @foreach($categories as $category)
            <div class="col-md-4 col-sm-6 col-xs-12">
                <div class="box">
                    <a href="{{route('single_category',$category->id)}}">
                        <img src="{{asset('images/category/'.$category->image)}}">
                    </a>
                    <a style="display: table" href="{{route('single_category',$category->id)}}" class="desc">
                        {{$category->name[\App::getlocale()]}}
                    </a>
                </div>
            </div>
            @endforeach
            <!----single-item--->



        </div>
    </div>
</section>
<!--section categories-end--->

<!--section location start--->

<div class="container">
    <div id="map"></div>
</div>


@stop

@section('map_scripts')

    <script>
        // Initialize and add the map
        function initMap() {
            // The location of Uluru
            var uluru = {lat: {{$setting->location['lat']}}, lng:  {{$setting->location['lng']}}};
            // The map, centered at Uluru
            var map = new google.maps.Map(
                document.getElementById('map'), {zoom: 10, center: uluru});
            // The marker, positioned at Uluru
            var marker = new google.maps.Marker({position: uluru, map: map});
        }
    </script>

    <!--Load the API from the specified URL
    * The async attribute allows the browser to render the page while the API loads
    * The key parameter will contain your own API key (which is not needed for this tutorial)
    * The callback parameter executes the initMap() function
    -->
    <script async defer
            src="https://maps.googleapis.com/maps/api/js?key=AIzaSyDQtvTTckD-5KwFoU7C1zd7NzxXEmbAw70&callback=initMap">
    </script>

@stop



