<!DOCTYPE html>
<html lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">

    <link rel="icon" href="{{asset('web/images/logo.png')}}" type="image/png" sizes="16x16">
    <title>@lang('data.title')</title>

    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <link href="https://use.fontawesome.com/releases/v5.0.8/css/all.css" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Raleway" rel="stylesheet">

    <title>@lang('data.title')</title>
    <link href="https://fonts.googleapis.com/css?family=Cairo" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel='stylesheet' href='{{asset('web/css/jquery.fancybox.min.css')}}'/>
    <link rel='stylesheet' href='{{asset('web/css/bootstrap.css')}}'/>
    <link rel='stylesheet' href='{{asset('web/css/hover-min.css')}}'/>
    <link rel='stylesheet' href='{{asset('web/css/animate.css')}}'/>
    <link rel='stylesheet' href='{{asset('web/css/owl.carousel.min.css')}}'/>
    <link rel='stylesheet' href='{{asset('web/css/owl.theme.default.min.css')}}'/>

    <link rel='stylesheet' href='{{asset('web/css/style.css')}}'/>
    <!--<link rel='stylesheet' href='css/style-en.css'/>-->
    <style>
        #map {
            height: 400px; /* The height is 400 pixels */
            width: 100%; /* The width is the width of the web page */
        }

        .select_cities {
            border-top-left-radius: 25px;
            border-top-right-radius: 25px;
            border-bottom-left-radius: 25px;
            border-bottom-right-radius: 25px;
        }


        .styledSelect {
            position: absolute;
            top: 0;
            right: 0;
            bottom: 0;
            left: 0;
            background-color: white;
            padding: 0 10px;
            font-weight: bold;
        }
    </style>
    <style>
        /* Set the size of the div element that contains the map */
        #farouz_map {
            height: 400px; /* The height is 400 pixels */
            width: 100%; /* The width is the width of the web page */
        }
    </style>
    <link href="https://fonts.googleapis.com/css?family=Cairo" rel="stylesheet">

</head>
<body>
<div class="user_header" style="background-color: #2b892d;
    padding: 10px 0px;
    border-bottom: 3px #2b892d solid;
    font-size: 16px;">
    <div class="container">
        <div class="row">
            <div class="col-md-10">
                @if(Auth::check())
                    <i style="color: #ffd78e;
    margin-left: 5px;" class="far fa-user-circle"></i><a style="color:#fff;" href="{{route('my_account')}}">@lang('data.my_account')</a>
                @else
                    <i style="color: #ffd78e;
    margin-left: 5px;" class="fas fa-user-plus"></i><a style="color:#fff;" style="color:#fff;"
                                                       href="{{route('register')}}">@lang('data.register')</a>
                @endif
            </div>
            <div class="col-md-2">
                @if(Auth::check())
                    <i style="color: #ffd78e;
    margin-left: 5px;" class="fas fa-sign-out-alt"></i><a style="color:#fff;" href="{{route('user_logout')}}">ِ@lang('data.logout')</a>
                @else
                    <i style="color: #ffd78e;
    margin-left: 5px;" class="fas fa-sign-in-alt"></i>   <a style="color:#fff;"
                        href="{{route('get_login')}}">ِ@lang('data.driver_login')</a>
                @endif
            </div>
        </div>
    </div>
</div>
<div id="mySidenav" class="sidenav">
    <a href="javascript:void(0)" class="closebtn" onclick="closeNav()">&times;</a>

    <h3>

        @lang('data.categories')
    </h3>
    @foreach($categories as $category)
        <a href="{{route('single_category',$category->id)}}">{{$category->name[\App::getlocale()]}}</a>
    @endforeach

</div>

<div id="rato">
    <h4>
        @lang('data.order_rate')
        <form method="post" action="{{route('rating')}}" enctype="multipart/form-data">
            {{csrf_field()}}
            <input type="text" required name="order_id" placeholder="@lang('data.order_number')"><br>
            <textarea name="comment" required placeholder="@lang('data.write_comment')"></textarea>
            <span class="rate">
            @lang('data.rate')
            </span>

            <fieldset class="rating">


                <input type="radio" id="star5" required name="rating" value="5"/><label class="full" for="star5"
                                                                                        title="@lang('data.awesome')"></label>
                <input type="radio" id="star4" required name="rating" value="4"/><label class="full" for="star4"
                                                                                        title="@lang('data.pretty_good')"></label>
                <input type="radio" id="star3" required name="rating" value="3"/><label class="full" for="star3"
                                                                                        title="@lang('data.good')"></label>
                <input type="radio" id="star2" required name="rating" value="2"/><label class="full" for="star2"
                                                                                        title="@lang('data.bad')"></label>
                <input type="radio" id="star1" required name="rating" value="1"/><label class="full" for="star1"
                                                                                        title="@lang('data.very_bad')"></label>

            </fieldset>


            <button type="submit" class="hvr-wobble-top">
                @lang('data.rate')
            </button>
        </form>
    </h4>
</div>

<!--section head-start-->
<section class="head">
    @if(count($errors)>0)
        @foreach($errors->all() as $error)
            <div class="alert alert-danger">
                <p class="text-center">
                    {{$error}}
                </p>
            </div>
        @endforeach
    @endif

    @if(session('success'))
        <div class="alert alert-success">
            <p class="text-center"><i class="fa fa-check-square fa-lg" aria-hidden="true"></i>
                {{session('success')}}
            </p>
        </div>
    @endif

    @if(session('error'))
        <div class="alert alert-danger">
            <p class="text-center"><i class="fa fa-exclamation-triangle fa-lg" aria-hidden="true"></i>
                {{session('error')}}
            </p>
        </div>
    @endif

<!--navbare-start-->
    <nav class="navbar navbar-default head-nav">
        <div class="container">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header pull-right">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse"
                        data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="{{route('home')}}">
                    <div class="img-responsive"><img width="70" src="{{asset('web/images/logo.png')}}" class="img-responsive">
                    </div>
                </a>
            </div>

            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav">
                    <li class="active"><a href="{{route('home')}}">@lang('data.home') <span
                                class="sr-only">(current)</span></a>
                    </li>
                    <li><a href="{{route('about')}}">@lang('data.about')</a></li>
                    <li><a href="{{route('contact')}}">@lang('data.contact')</a></li>
                    <li><a href="{{route('policy')}}">@lang('data.policy')</a></li>
                    <li><a href="{{route('terms')}}">@lang('data.terms')</a></li>
                </ul>


            </div><!-- /.navbar-collapse -->

            <div class="stare-rate">
                @if(!isset($carts))
                    @if(\App::isLocale('en'))

                        <a href="{{route('change_language','ar')}}" class="mandob  hvr-wobble-top">
                            العربية
                        </a>
                    @else
                        <a href="{{route('change_language','en')}}" class="mandob  hvr-wobble-top">
                            English
                        </a>

                    @endif


                @endif
                <a href="#">
                    <i class="far fa-star" id="star-button"></i>
                </a>
                <a href="{{route('user_cart')}}">
                    <i class="fa fa-shopping-cart"></i>
                </a>
            </div>

            <div class="stare-right">

                <span onclick="openNav()">
                      <button class="nav-button arrow-button-2" type="button" id="toggle-button"
                              aria-label="open/close navigation"></button>
                </span>
            </div>


        </div><!-- /.container-fluid -->
    </nav>
    <!--navbar-end-->

    @yield('slider')


</section>
<!--section head-start-->


<!--section categories-->
@yield('content')
<!--section location end--->

<!--section social start--->
<section class="social">
    <div class="container">
        <div class="row">


        </div>
    </div>
</section>
<!--section social end--->


<!--start-footer--->
<section class="footer">
    <div>
        <a href="{{route('delegate_login')}}" style="    background: #2b892d;
    color: #ffffff;
    font-size: 14px;
    padding: 7px 20px;
    border-radius: 30px;
    margin-left: 20px;
    text-decoration: none;
    margin-top: -10px;" class="mandob  hvr-wobble-top">
            @lang('data.delegate')

        </a>
    </div>
    <div class="container">
        <p>جميع الحقوق محفوظة لموقع <a href="#">ذبيحتى</a> - تصميم شركة <a target="_blank"
                                                                           href="https://headshot.com.sa/">هيدشوت</a>
        </p>
    </div>
</section>

<!--end-footer--->

<script src="{{asset('web/js/html5shiv.min.js')}}"></script>
<script src="{{asset('web/js/jquery-3.3.1.min.js')}}"></script>
<script src="{{asset('web/js/jquery.fancybox.min.js')}}"></script>
<script src="{{asset('web/js/owl.carousel.min.js')}}"></script>
<script src="{{asset('web/js/bootstrap.min.js')}}"></script>
<script src="{{asset('web/js/respond.min.js')}}"></script>
<script src="{{asset('web/js/custom.js')}}"></script>
<script src="{{asset('web/js/wow.min.js')}}"></script>
@yield('map_scripts')

<script>
    new WOW().init();
</script>


<script>
    $('input:radio').change(function () {
        var radio = $("form input[type='radio']:checked").val();
        console.log('here');
        $.ajax({
            url: "{{route('change_amount')}}",
            data: {method: 'get', id: radio},
            dataType: 'json',
            success: function (data) {
                console.log(data);
                if (data.status === 0) {
                } else {
                    $('.product_price').html(data.cart_price);

                }
            }
        });
    });
</script>


<script>
    var x = document.getElementById("demo");

    function getLocation() {
        if (navigator.geolocation) {
            navigator.geolocation.getCurrentPosition(showPosition);
        } else {
            x.innerHTML = "Geolocation is not supported by this browser.";
        }
    }

    function showPosition(position) {
        $('#lat').val(position.coords.latitude);
        $('#lng').val(position.coords.longitude);
        x.innerHTML = "Latitude: " + position.coords.latitude +
            "<br>Longitude: " + position.coords.longitude;
    }
</script>

</body>
</html>

