@extends('web.layout.master')
@section('content')

@section('slider')
    <div class="breadcrump">
        <div class="container">
            <div class="row">
                <div class="col-md-6 col-sm-6 col-xs-12">
                    <h5>
                        @lang('data.order_details')
                    </h5>
                </div>
                <div class="col-md-6 col-sm-6 col-xs-12">
<span>
    @lang('data.home') - @lang('data.order_details')
</span>
                </div>
            </div>
        </div>
    </div>

@stop
<section class="driver-orders">
    <div class="container">
        <h3>
            @lang('data.order_details')
        </h3>
        <!---single-driver--->
        <div class="single-driver">
            <div class="row">
                <div class="col-md-4 col-sm-6 col-xs-12">
                    <div class="single-image">
                        <img src="{{asset('web/images/meat-driver.png')}}">

                    </div>
                </div>
                <div class="col-md-8 col-sm-6 col-xs-12">
                    <div class="driver-details">

                        <div class="single-details">
                            <span>@lang('data.client_name')</span><span class="divider">:</span>
                            <span>{{$order->client_name}}</span>
                        </div>

                        <div class="single-details">
                            <span>@lang('data.mobile')</span><span class="divider">:</span>
                            <span>{{$order->mobile}}</span>
                        </div>

                        <div class="single-details">
                            <span>@lang('data.price')</span><span class="divider">:</span>
                            <span>{{$order->price}}</span>
                        </div>
                        <hr>
                        @foreach ($order->order_carts as $cart)
                            <?php
                            $single_cart = \App\Models\Cart::find($cart->cart_id);
                            ?>
                            <div class="single-details">
                                <span>@lang('data.name')</span><span class="divider">:</span>
                                <span>{{$single_cart->product->name[App::getLocale()]}}</span>
                            </div>
                            <div class="single-details">
                                <span>@lang('data.product_category')</span><span class="divider">:</span>
                                <span>{{$single_cart->product->category->name[App::getLocale()]}}</span>
                            </div>
                        @endforeach


                        <a href="{{route('order_done',$order->id)}}" class="hvr-wobble-top">
                            @lang('data.done')
                        </a>
                    </div>
                </div>
                <hr>
                <span style="    color: #777777;
    font-size: 20px;">@lang('data.order_location')</span><span class="divider">:</span>

                <div id="map"></div>

            </div>


        </div>
        <!---single-driver--->


    </div>
</section>


@stop

@section('map_scripts')

    <script>
        // Initialize and add the map
        function initMap() {
            // The location of Uluru
            var uluru = {lat: {{$order->lat}}, lng:  {{$order->lng}}};
            // The map, centered at Uluru
            var map = new google.maps.Map(
                document.getElementById('map'), {zoom: 15, center: uluru});
            // The marker, positioned at Uluru
            var marker = new google.maps.Marker({position: uluru, map: map});
        }
    </script>

    <!--Load the API from the specified URL
    * The async attribute allows the browser to render the page while the API loads
    * The key parameter will contain your own API key (which is not needed for this tutorial)
    * The callback parameter executes the initMap() function
    -->
    <script async defer
            src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCUDv9h3u-SITg8n8FbwoSbU6uF8FtPNjE&callback=initMap">
    </script>

@stop







