@extends('web.layout.master')
@section('content')

@section('slider')
    <div class="breadcrump">
        <div class="container">
            <div class="row">
                <div class="col-md-6 col-sm-6 col-xs-12">
                    <h5>
                        {{$product->name[\App::getlocale()]}}
                    </h5>
                </div>
                <div class="col-md-6 col-sm-6 col-xs-12">
<span>
    @lang('data.home') -  {{$product->name[\App::getlocale()]}}
</span>
                </div>
            </div>
        </div>
    </div>
@stop
<section class="single">
    <div class="container">
        <h3>
            {{$product->name[\App::getlocale()]}}
        </h3>
        <div class="row">

            <div class="col-md-8 col-sm-8 col-xs-12">
                <div class="single-img">
                    @if(count($product->images) > 0)
                        <img src="{{asset('images/products/'.$product->images[0]->image)}}">

                    @else


                        <img src="{{asset('web/images/meat-single.png')}}">
                    @endif
                </div>
                <h5>
                    @lang('data.description')
                </h5>
                <p>

                    {!! $product->notes[\App::getlocale()] !!}
                </p>

                <div class="box-size">

                    {{--    i know its a get method--}}
                    <form action="{{route('add_to_cart')}}" method="get" enctype="multipart/form-data">
                        {{ csrf_field() }}

                        <input type="hidden" name="product_id" value="{{$product->id}}">
                        <div class="row">
                            <div class="radio">
                                <div class="cost-details">
                                    <p>
                                        @lang('data.price')
                                    </p>
                                    <span class="product_price">
                        {{$product->price}}
                        </span>
                                    <span style="margin-top: -42px;"> @lang('data.rial')</span>
                                </div>


                            </div>
                            <hr>
                            <hr>
                            <div class="radio">
                                <div class="cost-details">
                                    <h3>
                                        @lang('data.amount')
                                    </h3>
                                    <span class="product_price">
                                        <select name="amount" required class="form-control">
                                            @for($i = 1 ; $i <= $product->amount ; $i++)
                                                <option value="{{$i}}">{{$i}}</option>
                                            @endfor
                                        </select>
                                    </span>
                                    <span
                                        style="margin-top: -42px;"> {{$product->amountType->name[\App::getLocale()]}}</span>
                                </div>
                            </div>

                            @if($product->properties->count() > 0)
                                <div class="col-md-12">
                                    <h3>@lang('data.properties')</h3>
                                    <div class="row">
                                        @foreach($properties as $property)
                                            <div class="col-md-6">
                                                <h4 style="color: #ab0505;">{{$property->name[\App::getLocale()]}}</h4>
                                                <select name="properties[]" class="form-control">
                                                    @foreach ($property->childs as $child)
                                                        @if($child->price)
                                                            <option
                                                                value="{{$child->id}}">{{$child->name[\App::getLocale()] .' - '. $child->price . ' '}} @lang('data.rial')</option>
                                                        @endif
                                                    @endforeach
                                                </select>
                                            </div>
                                        @endforeach
                                    </div>
                                </div>
                            @endif
                        </div>

                        {{--                        <div class="texto">--}}
                        {{--                            <h5>--}}
                        {{--                                @lang('data.notes')--}}
                        {{--                            </h5>--}}

                        {{--                            <textarea name="notes" placeholder="@lang('data.description')" style="resize: none">--}}

                        {{--                            </textarea>--}}
                        {{--                        </div>--}}


                        <input id="input-cart" type="submit" value="Submit">
                    </form>

                </div>
            </div>
            <div class="col-md-4 col-sm-4 col-xs-12">
                <div class="cost-box">
                    <div class="cost-details">
                        <p>
                            @lang('data.price')
                        </p>
                        <span class="product_price">
                        {{$product->price}}
                        </span>
                        <span style="margin-top: -42px;"> @lang('data.rial')</span>
                    </div>

                    @if($product->amount > 0)
                        <a id="cart-link">
                            @lang('data.cart')
                        </a>
                    @else
                        <h3>                    @lang('data.empty')
                        </h3>

                    @endif
                </div>
            </div>

        </div>
    </div>
</section>
@stop








