<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/
header('Access-Control-Allow-Origin: *');
header("Access-Control-Allow-Headers: X-API-KEY, Origin, X-Requested-With, Content-Type, Accept, Access-Control-Request-Method");
header("Access-Control-Allow-Methods: GET, POST, OPTIONS, PUT, DELETE");
header("Content-Type: form-data; charset=UTF-8");
header('Access-Control-Max-Age: 1000');
Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});
Route::group(['prefix' => 'v1'], function () {
//user
//    Route::resource('user', 'Api\UserController');
//    Route::post('user/login', [
//        'as' => 'user.login',
//        'uses' => 'Api\UserController@login'
//    ]);
    Route::get('apple-validate', 'Api\UserController@appleValidate');
    Route::post('user/verify_code', 'Api\UserController@verify_code');
    Route::post('user/forget_password', 'Api\UserController@forget_password');
    Route::post('user/check_forget', 'Api\UserController@check_forget');
    Route::post('user/change_password', 'Api\UserController@change_password');
    Route::post('/device_token', 'Api\UserController@device_token');


    //JWT
    Route::post('register', 'Api\UserController@register');
    Route::post('login', 'Api\UserController@authenticate');

    // setting
    Route::get('setting', 'Api\SettingController@setting');
    //home
    Route::get('home', 'Api\HomeController@index');
    // products
    Route::get('products/{id}', 'Api\ProductsController@products');
    Route::get('product/{id}', 'Api\ProductsController@product');

    Route::get('payments', 'Api\SettingController@payments');
    Route::get('cities', 'Api\SettingController@cities');

    Route::post('contact', 'Api\SettingController@contact');
    Route::get('banks', 'Api\SettingController@banks');
    Route::post('user_login', 'Api\UserController@user_login');
    Route::group(['middleware' => ['jwt.verify']], function () {
        Route::get('logout','Api\UserController@logout');
        Route::get('driver_orders', 'Api\UserController@driver_orders');
        Route::get('driver_order/{id}', 'Api\UserController@single_order');
        Route::get('change_order/{id}', 'Api\UserController@change_order');
        Route::get('start_order/{id}', 'Api\UserController@start_order');
        Route::get('end_order/{id}', 'Api\UserController@end_order');
        Route::post('order_search', 'Api\UserController@order_search');
        Route::get('complete_order/{id}', 'Api\OrderController@complete_order');
        Route::get('cancel_order/{id}','Api\OrderController@cancel_order');
        Route::resource('order', 'Api\OrderController');
        Route::post('rate', 'Api\OrderController@rate');
        Route::get('my_orders/{flag}', 'Api\UserController@my_orders');
        // CARTS
        Route::post('cart', 'Api\CartController@store');
        Route::get('cart', 'Api\CartController@cart');
        Route::delete('cart/{id}', 'Api\CartController@delete');

    });
    Route::get('cart_counter', 'Api\CartController@counter');
    Route::post('payfort', 'Api\CartController@payfort');
});