<?php
app()->singleton('lang', function () {
    return App\Http\Controllers\HomeController::lang();
});
Auth::routes();

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/////////////////////////
// web login form


Route::get('register', 'HomeController@get_register')->name('register');
Route::post('store_register', 'HomeController@store_register')->name('store_register');
Route::get('login', 'HomeController@get_login')->name('get_login');
Route::post('user_login', 'HomeController@user_login')->name('user_login');
Route::get('get_send_code', 'HomeController@get_send_code')->name('get_send_code');
Route::post('send_code', 'HomeController@send_code')->name('send_code');
Route::get('confirm_code', 'HomeController@confirm_code')->name('confirm_code');
Route::post('store_confirm_code', 'HomeController@store_confirm_code')->name('store_confirm_code');
Route::get('change_password', 'HomeController@get_change_password')->name('change_password');
Route::post('store_change_password', 'HomeController@store_change_password')->name('store_change_password');

Route::group(['middleware' => 'user'], function () {
    Route::get('user_logout', 'HomeController@logout')->name('user_logout');
    Route::get('my_account', 'HomeController@my_account')->name('my_account');
    Route::patch('update_user/{id?}', 'HomeController@update_user')->name('update_user');
    Route::get('add_to_cart', 'HomeController@add_to_cart')->name('add_to_cart');
    Route::get('user_cart', 'HomeController@user_cart')->name('user_cart');
    Route::get('make_order', 'HomeController@make_order')->name('make_order');
    Route::post('order_information', 'HomeController@order_information')->name('order_information');
    Route::get('chose_payment/{id}', 'HomeController@payment_methods')->name('chose_payment_method');


});
Route::get('testing', 'HomeController@testing');

Route::get('change_language/{lang}', 'HomeController@change_language')->name('change_language')->middleware('lang');

Route::post('/login', 'WebLoginController@web_login')->name('login.submit');

Route::get('logout', 'Auth\LoginController@logout')->name('logout');
Route::get('/', 'HomeController@index')->name('home');
Route::get('/about', 'HomeController@about')->name('about');
Route::get('/contact', 'HomeController@contact')->name('contact');
Route::get('/policy', 'HomeController@policy')->name('policy');
Route::get('/terms', 'HomeController@terms')->name('terms');
Route::get('category/{id}', 'HomeController@single_category')->name('single_category');
Route::get('product/{id}', 'HomeController@single_product')->name('single_product');
Route::post('complete_information', 'HomeController@complete_information')->name('complete_information');
Route::post('chose_bank/{id}', 'HomeController@chose_bank')->name('chose_bank');
Route::get('change_amount', 'HomeController@change_amount')->name('change_amount');
Route::post('test_payment', 'HomeController@test_payment')->name('test_payment');
Route::get('banks/{id}', 'HomeController@banks')->name('banks');
Route::post('post_payment/{id}', 'HomeController@post_payment')->name('post_payment');
Route::get('delegate_login', 'HomeController@delegate_login')->name('delegate_login');
Route::get('delete_cart/{id}', 'HomeController@delete_cart')->name('delete_cart');
Route::post('post_delegate_login', 'HomeController@post_delegate_login')->name('post_delegate_login');
Route::get('driver_orders', 'HomeController@driver_orders')->name('driver_orders')->middleware('delegate');
Route::get('order_done/{id}', 'HomeController@order_done')->name('order_done')->middleware('delegate');
Route::get('order_details/{id}', 'HomeController@order_details')->name('order_details')->middleware('delegate');
Route::post('rating', 'HomeController@rating')->name('rating');
Route::post('send_contact', 'HomeController@send_contact')->name('send_contact');
//admin password reset routes
Route::group(['prefix' => '/admin', 'namespace' => 'Auth'], function () {
    Route::get('/password/reset', 'AdminForgotPasswordController@showLinkRequestForm')->name('admin.password.request');
    Route::post('/password/email', 'AdminForgotPasswordController@sendResetLinkEmail')->name('admin.password.email');
    Route::post('/password/reset', 'AdminResetPasswordController@reset');
    Route::get('/password/reset/{token}', 'AdminResetPasswordController@showResetForm')->name('admin.password.reset');
});
Route::group(['prefix' => '/admin', 'namespace' => 'Admin'], function () {
    //auth
    Route::get('/login', 'AdminLoginController@showLoginForm')->name('admin.login');
    Route::post('/login', 'AdminLoginController@login')->name('admin.login.submit');
    Route::get('logout/', 'AdminLoginController@logout')->name('admin.logout');
    //dashboard
    Route::get('/', 'AdminController@dashboard')->name('admin.dashboard');

    Route::get('/profile', 'AdminController@edit_profile')->name('edit_profile');

    Route::get('setting', 'SettingController@get_setting')->name('setting.get_setting');
    Route::patch('setting/{id}', 'SettingController@update_setting')->name('setting.update_setting');
    Route::resource('notification', 'NotificationController');

    Route::resource('categories', 'CategoriesController');
    Route::post('active/category/{id}', 'CategoriesController@activate')->name('active_category');

    Route::resource('payments', 'PaymentController');
    Route::post('active/payment/{id}', 'PaymentController@activate')->name('active_payment');

    Route::resource('properties', 'PropertiesController');

    Route::resource('amount_types', 'AmountTypesController');
    Route::resource('subCategories', 'SubCategoriesController');
    Route::post('active/subCategory/{id}', 'SubCategoriesController@activate')->name('active_subCategory');

    Route::resource('items', 'ItemsController');
    Route::post('active/item/{id}', 'ItemsController@activate')->name('active_items');
    Route::get('delete_image/{id}', 'ItemsController@delete_image')->name('delete_image');
    Route::resource('banks', 'BanksController');
    Route::post('active/bank/{id}', 'BanksController@activate')->name('active_bank');
    // invoices
    Route::resource('invoices', 'InvoicesController');
    Route::get('filter_invoice', 'InvoicesController@filter_invoice')->name('filter_invoice');
    // Stores
    Route::resource('stores', 'StoresController');
    Route::post('increase_store', 'StoresController@increase_store')->name('increase_store');
    Route::post('decrease_store', 'StoresController@decrease_store')->name('decrease_store');
    Route::post('increase_product', 'StoresController@increase_product')->name('increase_product');
    Route::post('decrease_product', 'StoresController@decrease_product')->name('decrease_product');

    Route::resource('banners', 'BannersController');
    Route::post('active/banners/{id}', 'BannersController@activate')->name('active_banner');

    Route::resource('roles', 'RolesController');
    Route::resource('language', 'LanguageController');
    Route::post('language/activate/{id}', 'LanguageController@activate')->name('active_language');

    Route::resource('color', 'ColorsController');
    Route::resource('rates', 'RatesController');
    //farouz
    //users
    Route::resource('user', 'UserController');
    Route::post('user/activate/{id}', 'UserController@activate')->name('active_user');

    Route::get('orders_filter', 'OrdersController@orders_filter')->name('orders_filter');


    Route::resource('clients', 'ClientsController');
    Route::post('user/activate/{id}', 'UserController@activate')->name('active_user');
    //memberships
    //admins
    Route::resource('admin', 'AdminController');
    Route::get('admins', 'AdminController@home')->name('admins');
    Route::post('admin/activate/{id}', 'AdminController@activate')->name('active_admin');
// orders
    Route::resource('orders', 'OrdersController');
    Route::get('print_order/{id}', 'OrdersController@print_order')->name('print_order');
    // cities
    Route::resource('cities', 'CitiesController');

    Route::resource('products', 'ProductsController');
    Route::post('products/activate/{id}', 'ProductsController@activate')->name('active_product');

    Route::resource('banks', 'BanksController');
    Route::post('banks/activate/{id}', 'BanksController@activate')->name('active_bank');

    Route::resource('contacts', 'ContactsController');

    Route::resource('sliders', 'SlidersController');

    Route::resource('sizes', 'SizesController');
    Route::delete('delete_image/{id}', 'ProductsController@delete_image')->name('delete_image');

    Route::resource('exports', 'ExportsController');

    Route::delete('delete_sub_properties/{id}', 'SubPropertiesController@destroy')->name('sub_properties.destroy');
    Route::get('create_sub_properties/{id}', 'SubPropertiesController@create_sub')->name('sub_properties.create');
    Route::get('edit_sub_properties/{id}', 'SubPropertiesController@edit')->name('sub_properties.edit');
    Route::post('store_sub_properties', 'SubPropertiesController@store')->name('sub_properties.store');
    Route::patch('update_sub_properties/{id}', 'SubPropertiesController@update')->name('sub_properties.update');
    Route::resource('expenses', 'ExpensesController');
    Route::resource('incomes', 'IncomesController');

    Route::get('search', 'SearchController@index')->name('search_index');
    Route::post('search', 'SearchController@search')->name('search_in');

    Route::resource('bills', 'BillsController');
    Route::get('bill_details/{id}', 'BillsController@bill_details')->name('bill_details');
    // ajax
    Route::get('read_barcode', 'BillsController@read_barcode')->name('read_barcode');

});
